property spriteNum, pSavedGraphic, pUnSavedGraphic, pSpriteList
global gMaster, gSound

on mBeginLogoCode me
  if gMaster.pLogoList.count = 0 then
    alert("you have a problem with gMaster.pLogoList.count")
    exit
  else
    repeat with x = 1 to gMaster.pLogoList.count
      repeat with y = 1 to gMaster.pLogoList.count
        if spriteNum = gMaster.pLogoList[y].pSaveButtonSpriteChannel then
          vNum = gMaster.pLogoList[y].pSaveButtonSpriteChannel
          vPosition = y
          exit repeat
        end if
      end repeat
      sendSprite(vNum, #mSetUpGraphicsDouble, "logo", vPosition)
    end repeat
  end if
end

on mDoLogoCode me
  gSound.mPlayButtonClick()
  if gMaster.pLogoList.count = 0 then
    alert("you have a problem with gMaster.pLogoList.count")
    exit
  end if
  case spriteNum of
    25:
      vTempNum = 1
    26:
      vTempNum = 2
    27:
      vTempNum = 3
  end case
  if gMaster.pLogoList[vTempNum].pSelected = "no" then
    mSetOn(me, vTempNum)
    mSummarySelected(gMaster, gMaster.pLogoList[vTempNum].pSmallName)
  else
    mSetOff(me, vTempNum)
    mSummaryDeSelected(gMaster, gMaster.pLogoList[vTempNum].pSmallName)
  end if
end

on mSetOn me, vSavedNum
  gMaster.pLogoList[vSavedNum].pSelected = "yes"
  mMainCode(me, vSavedNum)
end

on mSetOff me, vSavedNum
  gMaster.pLogoList[vSavedNum].pSelected = "no"
  mMainCode(me, vSavedNum)
end

on mMainCode me, vSavedNum
  pSavedGraphic = member(gMaster.pLogoSettings.savedbutton, "assets")
  pUnSavedGraphic = member(gMaster.pLogoSettings.savebutton, "assets")
  if gMaster.pLogoSettings.blendeffect = "TRUE" then
    if gMaster.pLogoList[vSavedNum].pSelected = "no" then
      sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).blend = 100
    else
      sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).blend = gMaster.pLogoSettings.blendpercent
    end if
  end if
  if gMaster.pLogoSettings.rectangles = "TRUE" then
    if gMaster.pLogoList[vSavedNum].pSelected = "no" then
      sprite(gMaster.pLogoList[vSavedNum].pRectSpriteLogo).rect = rect(-2000, -2000, -1999, 1999)
    else
      vLeft = sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).left - 2
      vTop = sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).top - 2
      vRight = sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).right + 2
      vBottom = sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).bottom + 2
      sprite(gMaster.pLogoList[vSavedNum].pRectSpriteLogo).rect = rect(vLeft, vTop, vRight, vBottom)
    end if
  end if
  if gMaster.pLogoSettings.pushpin = "TRUE" then
    if gMaster.pLogoList[vSavedNum].pSelected = "no" then
      sprite(gMaster.pLogoList[vSavedNum].pPushPinSpriteLogo).loc = point(-2000, -2000)
    else
      vLeft = sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).left + gMaster.pLogoSettings.pinoffset[1]
      vTop = sprite(gMaster.pLogoList[vSavedNum].pPhotoSpriteLogo).top + gMaster.pLogoSettings.pinoffset[2]
      sprite(gMaster.pLogoList[vSavedNum].pPushPinSpriteLogo).loc = point(vLeft, vTop)
    end if
  end if
  if gMaster.pLogoList.count = 0 then
    alert("you have a problem with gMaster.pLogoList.count")
    exit
  else
    repeat with y = 1 to gMaster.pLogoList.count
      if spriteNum = gMaster.pLogoList[y].pSaveButtonSpriteChannel then
        vNum = gMaster.pLogoList[y].pSaveButtonSpriteChannel
        vPosition = y
        exit repeat
      end if
    end repeat
    sendSprite(vNum, #mSetUpGraphicsDouble, "logo", vPosition)
  end if
end
