property spriteNum, pSavedGraphic, pUnSavedGraphic
global gMaster, gSound

on mouseUp me
  gSound.mPlayButtonClick()
  vName = sprite(spriteNum).member.name
  if gMaster.pPosterList.count = 0 then
    alert("you have a problem with gMaster.pPosterList.count")
    exit
  end if
  vNum = gMaster.pPhotoSpriteStartNum - 1
  vTempNum = spriteNum - vNum
  if gMaster.pPosterList[vTempNum].pSelected = "no" then
    mSetOn(me, vTempNum)
    mSummarySelected(gMaster, gMaster.pPosterList[vTempNum].pSmallName)
  else
    mSetOff(me, vTempNum)
    mSummaryDeSelected(gMaster, gMaster.pPosterList[vTempNum].pSmallName)
  end if
end

on mouseEnter me
  cursor(280)
end

on mouseLeave me
  cursor(-1)
end

on mSetOn me, vSavedNum
  gMaster.pPosterList[vSavedNum].pSelected = "yes"
  mMainCode(me, vSavedNum)
end

on mSetOff me, vSavedNum
  gMaster.pPosterList[vSavedNum].pSelected = "no"
  mMainCode(me, vSavedNum)
end

on mMainCode me, vSavedNum
  pSavedGraphic = member(gMaster.pPosterSettings.savedbutton, "assets")
  pUnSavedGraphic = member(gMaster.pPosterSettings.savebutton, "assets")
  if gMaster.pPosterSettings.blendeffect = "TRUE" then
    if gMaster.pPosterList[vSavedNum].pSelected = "no" then
      sprite(spriteNum).blend = 100
    else
      sprite(spriteNum).blend = gMaster.pPosterSettings.blendpercent
    end if
  end if
  if gMaster.pPosterSettings.rectangles = "TRUE" then
    if gMaster.pPosterList[vSavedNum].pSelected = "no" then
      sprite(gMaster.pPosterList[vSavedNum].pRectSpritePoster).rect = rect(-2000, -2000, -1999, 1999)
    else
      vLeft = sprite(gMaster.pPosterList[vSavedNum].pPhotoSpritePoster).left - 2
      vTop = sprite(gMaster.pPosterList[vSavedNum].pPhotoSpritePoster).top - 2
      vRight = sprite(gMaster.pPosterList[vSavedNum].pPhotoSpritePoster).right + 2
      vBottom = sprite(gMaster.pPosterList[vSavedNum].pPhotoSpritePoster).bottom + 2
      sprite(gMaster.pPosterList[vSavedNum].pRectSpritePoster).rect = rect(vLeft, vTop, vRight, vBottom)
    end if
  end if
  if gMaster.pPosterSettings.pushpin = "TRUE" then
    if gMaster.pPosterList[vSavedNum].pSelected = "no" then
      sprite(gMaster.pPosterList[vSavedNum].pPushPinSpritePoster).loc = point(-2000, -2000)
    else
      vLeft = sprite(gMaster.pPosterList[vSavedNum].pPhotoSpritePoster).left + gMaster.pPosterSettings.pinoffset[1]
      vTop = sprite(gMaster.pPosterList[vSavedNum].pPhotoSpritePoster).top + gMaster.pPosterSettings.pinoffset[2]
      sprite(gMaster.pPosterList[vSavedNum].pPushPinSpritePoster).loc = point(vLeft, vTop)
    end if
  end if
  if gMaster.pPosterList.count = 0 then
    alert("you have a problem with gMaster.pPosterList.count")
    exit
  else
    repeat with x = 1 to gMaster.pPosterList.count
      sendAllSprites(#mSetUpGraphicsDouble, "poster", x)
    end repeat
  end if
end
