property spriteNum, pSavedGraphic, pUnSavedGraphic, pRectSprite, pPhotoSprite, pPushPinSprite, pFlashSprite, pSavedSprite
global gMaster, gSound

on beginSprite me
  pRectSprite = 28
  pPhotoSprite = 29
  pPushPinSprite = 30
  pFlashSprite = 31
  pSavedSprite = 33
  pSavedGraphic = member(gMaster.pSlideShowSettings.savedbutton, "assets")
  pUnSavedGraphic = member(gMaster.pSlideShowSettings.savebutton, "assets")
end

on mouseUp me
  gSound.mPlayButtonClick()
  if gMaster.pPhotoList[gMaster.pCount].pSelected = "no" then
    gMaster.pActivePhotoObject.pSelected = "yes"
    mSummarySelected(gMaster, gMaster.pActivePhotoObject.pSmallName)
    gMaster.pPhotoList[gMaster.pCount].pSelected = "yes"
  else
    gMaster.pActivePhotoObject.pSelected = "no"
    mSummaryDeSelected(gMaster, gMaster.pActivePhotoObject.pSmallName)
    gMaster.pPhotoList[gMaster.pCount].pSelected = "no"
  end if
  mSetSlideShowImage3(me)
end

on mouseEnter me
  cursor(280)
end

on mouseLeave me
  cursor(-1)
end

on mSetSlideShowImage3 me
  sprite(pPhotoSprite).member = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib)
  if gMaster.pSlideShowSettings.xyeffect = "TRUE" then
    sprite(pPhotoSprite).loc = gMaster.pActivePhotoObject.pXYSlide
    vMemberWidth = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib).width
    vMemberHeight = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib).height
    vWidth = vMemberWidth * float("." & gMaster.pSlideShowSettings.percentage)
    vHeight = vMemberHeight * float("." & gMaster.pSlideShowSettings.percentage)
    if gMaster.pSlideShowSettings.percentage = 100 then
      sprite(pPhotoSprite).width = vMemberWidth
      sprite(pPhotoSprite).height = vMemberHeight
    else
      sprite(pPhotoSprite).width = vWidth
      sprite(pPhotoSprite).height = vHeight
    end if
    updateStage()
  end if
  if gMaster.pSlideShowSettings.blendeffect = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(pPhotoSprite).blend = 100
    else
      sprite(pPhotoSprite).blend = gMaster.pSlideShowSettings.blendpercent
    end if
  end if
  if gMaster.pSlideShowSettings.rectangles = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(pRectSprite).rect = rect(-2000, -2000, -1999, 1999)
    else
      vLeft = sprite(pPhotoSprite).left - 2
      vTop = sprite(pPhotoSprite).top - 2
      vRight = sprite(pPhotoSprite).right + 2
      vBottom = sprite(pPhotoSprite).bottom + 2
      sprite(pRectSprite).rect = rect(vLeft, vTop, vRight, vBottom)
    end if
  end if
  if gMaster.pSlideShowSettings.pushpin = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(pPushPinSprite).loc = point(-2000, -2000)
    else
      vLeft = sprite(pPhotoSprite).left + gMaster.pSlideShowSettings.pinoffset[1]
      vTop = sprite(pPhotoSprite).top + gMaster.pSlideShowSettings.pinoffset[2]
      sprite(pPushPinSprite).loc = point(vLeft, vTop)
    end if
  end if
  sendAllSprites(#mSetUpGraphicsDouble, "slideshow", 0)
end
