global gMaster, gSound

on mBeginSlideShow vWhichSprite
  if gMaster.pPhotoList[gMaster.pCount].pSelected = "yes" then
    sendSprite(vWhichSprite, #mSetDoubleState, 2)
  else
    sendSprite(vWhichSprite, #mSetDoubleState, 1)
  end if
end

on mSetSlideShowImage2
  gSound.mPlayButtonClick()
  vRectSprite = 28
  vPhotoSprite = 29
  vPushPinSprite = 30
  vFlashSprite = 31
  vSavedSprite = 26
  vSavedGraphic = member(gMaster.pSlideShowSettings.savedbutton, "assets")
  vUnSavedGraphic = member(gMaster.pSlideShowSettings.savebutton, "assets")
  if gMaster.pActivePhotoObject.pSelected = "no" then
    gMaster.pActivePhotoObject.pSelected = "yes"
    mSummarySelected(gMaster, gMaster.pActivePhotoObject.pSmallName)
    gMaster.pPhotoList[gMaster.pCount].pSelected = "yes"
  else
    gMaster.pActivePhotoObject.pSelected = "no"
    mSummaryDeSelected(gMaster, gMaster.pActivePhotoObject.pSmallName)
    gMaster.pPhotoList[gMaster.pCount].pSelected = "no"
  end if
  sprite(vPhotoSprite).member = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib)
  if gMaster.pSlideShowSettings.xyeffect = "TRUE" then
    sprite(vPhotoSprite).loc = gMaster.pActivePhotoObject.pXYSlide
    vMemberWidth = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib).width
    vMemberHeight = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib).height
    vWidth = vMemberWidth * float("." & gMaster.pSlideShowSettings.percentage)
    vHeight = vMemberHeight * float("." & gMaster.pSlideShowSettings.percentage)
    if gMaster.pSlideShowSettings.percentage = 100 then
      sprite(vPhotoSprite).width = vMemberWidth
      sprite(vPhotoSprite).height = vMemberHeight
    else
      sprite(vPhotoSprite).width = vWidth
      sprite(vPhotoSprite).height = vHeight
    end if
    updateStage()
  end if
  if gMaster.pSlideShowSettings.blendeffect = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(vPhotoSprite).blend = 100
    else
      sprite(vPhotoSprite).blend = gMaster.pSlideShowSettings.blendpercent
    end if
  end if
  if gMaster.pSlideShowSettings.rectangles = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(vRectSprite).rect = rect(-2000, -2000, -1999, 1999)
    else
      vLeft = sprite(vPhotoSprite).left - 2
      vTop = sprite(vPhotoSprite).top - 2
      vRight = sprite(vPhotoSprite).right + 2
      vBottom = sprite(vPhotoSprite).bottom + 2
      sprite(vRectSprite).rect = rect(vLeft, vTop, vRight, vBottom)
    end if
  end if
  if gMaster.pSlideShowSettings.pushpin = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(vPushPinSprite).loc = point(-2000, -2000)
    else
      vLeft = sprite(vPhotoSprite).left + gMaster.pSlideShowSettings.pinoffset[1]
      vTop = sprite(vPhotoSprite).top + gMaster.pSlideShowSettings.pinoffset[2]
      sprite(vPushPinSprite).loc = point(vLeft, vTop)
    end if
  end if
  sendAllSprites(#mSetUpGraphicsDouble, "slideshow", gMaster.pCount)
end
