global gMaster, gSound, gTracker

on enterFrame me
  sendAllSprites(#mSetUpGraphics)
  sendSprite(25, #mSetUpGraphicsDouble, "logo", 1)
  sendSprite(26, #mSetUpGraphicsDouble, "logo", 2)
end

on exitFrame me
  cursor(-1)
  gSound.mResumeSound()
  pSavedGraphic = member(gMaster.pLogoSettings.savedbutton, "assets")
  pUnSavedGraphic = member(gMaster.pLogoSettings.savebutton, "assets")
  gMaster.pmarker = the frameLabel
  gTracker.mAddSection(gMaster.pmarker)
  if gMaster.pLogoSettings.xyeffect = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    repeat with x = 1 to gMaster.pLogoList.count
      sprite(vSpriteCount).member = member(gMaster.pLogoList[x].pSmallName, "assets")
      sprite(vSpriteCount).loc = gMaster.pLogoList[x].pXYlogo
      vMemberWidth = member(gMaster.pLogoList[x].pSmallName, "assets").width
      vMemberHeight = member(gMaster.pLogoList[x].pSmallName, "assets").height
      vWidth = vMemberWidth * float("." & gMaster.pLogoSettings.percentage)
      vHeight = vMemberHeight * float("." & gMaster.pLogoSettings.percentage)
      if gMaster.pLogoSettings.percentage = 100 then
        sprite(vSpriteCount).width = vMemberWidth
        sprite(vSpriteCount).height = vMemberHeight
      else
        sprite(vSpriteCount).width = vWidth
        sprite(vSpriteCount).height = vHeight
      end if
      vSpriteCount = vSpriteCount + 1
    end repeat
    updateStage()
  end if
  if gMaster.pLogoSettings.blendeffect = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    repeat with x = 1 to gMaster.pLogoList.count
      if gMaster.pLogoList[x].pSelected = "no" then
        sprite(vSpriteCount).blend = 100
      else
        sprite(vSpriteCount).blend = gMaster.pLogoSettings.blendpercent
      end if
      vSpriteCount = vSpriteCount + 1
    end repeat
  end if
  if gMaster.pLogoSettings.rectangles = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    vSpriteCount2 = gMaster.pRectangleSpriteStartNum
    repeat with x = 1 to gMaster.pLogoList.count
      if gMaster.pLogoList[x].pSelected = "no" then
        sprite(vSpriteCount2).rect = rect(-2000, -2000, -1999, 1999)
      else
        vLeft = sprite(vSpriteCount).left - 2
        vTop = sprite(vSpriteCount).top - 2
        vRight = sprite(vSpriteCount).right + 2
        vBottom = sprite(vSpriteCount).bottom + 2
        sprite(vSpriteCount2).rect = rect(vLeft, vTop, vRight, vBottom)
      end if
      vSpriteCount = vSpriteCount + 1
      vSpriteCount2 = vSpriteCount2 + 1
    end repeat
  end if
  if gMaster.pLogoSettings.pushpin = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    vSpriteCount2 = gMaster.pPushPinSpriteStartNum
    repeat with x = 1 to gMaster.pLogoList.count
      if gMaster.pLogoList[x].pSelected = "no" then
        sprite(vSpriteCount2).loc = point(-2000, -2000)
      else
        vLeft = sprite(vSpriteCount).left + gMaster.pLogoSettings.pinoffset[1]
        vTop = sprite(vSpriteCount).top + gMaster.pLogoSettings.pinoffset[2]
        sprite(vSpriteCount2).loc = point(vLeft, vTop)
      end if
      vSpriteCount = vSpriteCount + 1
      vSpriteCount2 = vSpriteCount2 + 1
    end repeat
  end if
end
