property pSpriteNum, pProductionActive, pCastActive, pCreditsActive, pFilmmakerActive, pProductionCastNameSpanish, pCreditsCastNameSpanish, pProductionCastName, pCastCastName, pCreditsCastName, pFilmmakerCastName, pProductionCastNameTemp, pCastCastNameTemp, pCreditsCastNameTemp, pFilmmakerCastNameTemp, pProductionFileNameDOCenglish, pProductionFileNamePDFenglish, pProductionFileNameDOCspanish, pProductionFileNamePDFspanish, pProductionFileNameTXT, pCastFileNameDOC, pCastFileNamePDF, pCastFileNameTXT, pCreditsFileNameDOCenglish, pCreditsFileNamePDFenglish, pCreditsFileNameDOCspanish, pCreditsFileNamePDFspanish, pCreditsFileNameTXT, pFilmmakerFileNameDOC, pFilmmakerFileNamePDF, pFilmmakerFileNameTXT, pProductionSelectedSpanish, pCreditsSelectedSpanish, pProductionSelected, pCastSelected, pCreditsSelected, pFilmmakerSelected, pProductionPrinted, pCastPrinted, pCreditsPrinted, pFilmmakerPrinted, pDownloadStatus, pSide, pVertLoc, pHorzStartLoc, pHorzFinishLoc, pTabStatus, pTabSprite, pSelectedStatus
global gMaster, gNotes, gSound

on new me, vSpriteNum, vProdActive, vCastActive, vCreditsActive, vFilmActive, vProdName, vCastName, vCreditsName, vFilmName, vProdFileDOCenglish, vProdFileDOCspanish, vProdFilePDFenglish, vProdFilePDFspanish, vCreditsFileDOCenglish, vCreditsFileDOCspanish, vCreditsFilePDFenglish, vCreditsFilePDFspanish, vDownload, vSide, vVertLoc, vHorzStartLoc, vHorzFinishLoc, vTabSprite
  pSpriteNum = vSpriteNum
  pProductionActive = vProdActive
  pCastActive = vCastActive
  pCreditsActive = vCreditsActive
  pFilmmakerActive = vFilmActive
  pProductionCastName = vProdName
  pCastCastName = vCastName
  pCreditsCastName = vCreditsName
  pFilmmakerCastName = vFilmName
  pProductionCastNameTemp = EMPTY
  pCastCastNameTemp = EMPTY
  pCreditsCastNameTemp = EMPTY
  pFilmmakerCastNameTemp = EMPTY
  pProductionFileNameDOCenglish = vProdFileDOCenglish
  pProductionFileNamePDFenglish = vProdFilePDFenglish
  pProductionFileNameDOCspanish = vProdFileDOCspanish
  pProductionFileNamePDFspanish = vProdFilePDFspanish
  pCreditsFileNameDOCenglish = vCreditsFileDOCenglish
  pCreditsFileNamePDFenglish = vCreditsFilePDFenglish
  pCreditsFileNameDOCspanish = vCreditsFileDOCspanish
  pCreditsFileNamePDFspanish = vCreditsFilePDFspanish
  pSide = vSide
  pVertLoc = vVertLoc
  pHorzStartLoc = vHorzStartLoc
  pHorzFinishLoc = vHorzFinishLoc
  pDownloadStatus = vDownload
  pProductionSelectedSpanish = "no"
  pCreditsSelectedSpanish = "no"
  pProductionSelected = "no"
  pCastSelected = "no"
  pCreditsSelected = "no"
  pFilmmakerSelected = "no"
  pProductionPrinted = "no"
  pCastPrinted = "no"
  pCreditsPrinted = "no"
  pFilmmakerPrinted = "no"
  pTabStatus = "closed"
  pTabSprite = vTabSprite
  pSelectedStatus = "word"
  return me
end

on mSwitchNames me
  pProductionCastName = pProductionCastNameTemp
  pCreditsCastName = pCreditsCastNameTemp
end

on PrintNotes me, vWhichOne
  gSound.mPlayButtonClick()
  case vWhichOne of
    "production":
      if gMaster.pLanguageMode = "english" then
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pProductionFileNamePDFenglish
      else
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pProductionFileNamePDFspanish
      end if
    "cast":
      if gMaster.pLanguageMode = "english" then
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pCastFileNamePDF
      else
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pCastFileNamePDF
      end if
    "credits":
      if gMaster.pLanguageMode = "english" then
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pCreditsFileNamePDFenglish
      else
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pCreditsFileNamePDFspanish
      end if
    "filmmaker":
      if gMaster.pLanguageMode = "english" then
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pFilmmakerFileNamePDF
      else
        newFile = the moviePath & gMaster.pInternalFolders.notesfolder & gMaster.pPlatformSymbol & gNotes.pFilmmakerFileNamePDF
      end if
    otherwise:
      alert("you have a problem with PrintNotes")
  end case
  if baFileExists(newFile) = 1 then
    vTemp = (the environment).productVersion
    if the platform contains "Mac" then
      case vTemp of
        "8.5.1", "8.5":
          vOpeningApp = baFindApp("ttxt")
        "9.0":
          vOpeningApp = baFindApp(".pdf")
        otherwise:
          vOpeningApp = baFindApp(".pdf")
      end case
    else
      vOpeningApp = baFindApp(".pdf")
    end if
    if vOpeningApp <> EMPTY then
      baOpenFile(newFile, "normal")
    else
      alert("can't find an application to open this PDF document")
    end if
  end if
end

on mSlideTab me
  case pSide of
    "left":
      if gNotes.pTabStatus = "opened" then
        gNotes.pTabStatus = "closed"
        gNotes.mCloseTab()
      else
        gNotes.pTabStatus = "opened"
        gNotes.mOpenTab()
      end if
    "right":
      if gNotes.pTabStatus = "opened" then
        gNotes.pTabStatus = "closed"
        gNotes.mCloseTab()
      else
        gNotes.pTabStatus = "opened"
        gNotes.mOpenTab()
      end if
  end case
end

on mOpenTab me
  vTargetH = pHorzFinishLoc
  vTargetV = pVertLoc
  vDeltaH = vTargetH - sprite(pTabSprite).locH
  vDeltaV = vTargetV - sprite(pTabSprite).locV
  repeat with i = 1 to 15
    comp = 15 - i
    sprite(pTabSprite).locH = vTargetH - (comp * vDeltaH / 15)
    updateStage()
  end repeat
end

on mCloseTab me
  vTargetH = pHorzStartLoc
  vTargetV = pVertLoc
  vDeltaH = vTargetH - sprite(pTabSprite).locH
  vDeltaV = vTargetV - sprite(pTabSprite).locV
  repeat with i = 1 to 15
    comp = 15 - i
    sprite(pTabSprite).locH = vTargetH - (comp * vDeltaH / 15)
    updateStage()
  end repeat
end
