property PList, pInputText, pNetID, pOK, pFinished
global gXMLReader, gxml, gMasterText, gMaster, gParsedXML2, gTypes, gNotes, gSpriteNum, gNetID, gSound, gNodeWatcher, gMasterNodeText

on new me
  pOK = "no"
  pNetID = 0
  pInputText = EMPTY
  return me
end

on mMakeXMLInstance me
  gxml = 0
  gxml = new(script("xml.parser"))
  mReadXMLMember(gXMLReader, member("XMLinput", "assets").text)
  mDoGeneralSettings(gXMLReader)
  mDoGallerySettings(gXMLReader)
  mDoSlideShowSettings(gXMLReader)
  mDoVideoSettings(gXMLReader)
  mDoAudioSettings(gXMLReader)
  mDoNotesSettings(gXMLReader)
  mDoSavedSettings(gXMLReader)
  mDoCaptionSettings(gXMLReader)
  mDoPosterSettings(gXMLReader)
  mDoExportSettings(gXMLReader)
  mDoInternalFolders(gXMLReader)
  mDoExternalFolders(gXMLReader)
  mDoGalleries(gXMLReader)
  mDoLogoSettings(gXMLReader)
  mDoGalleryToSummary(gXMLReader)
end

on mReadXMLMember me, vXMLText
  gMasterText = vXMLText
  errCode = gxml.parseString(gMasterText)
  PList = gxml.makeList()
end

on mDoGeneralSettings me
  gMaster.pGeneralSettings.title = gXMLReader.PList[1][2][2][2][2]
  gMaster.pGeneralSettings.stageColor = gXMLReader.PList[1][2][2][3][2]
  gMaster.pGeneralSettings.url = gXMLReader.PList[1][2][2][4][2]
  gMaster.pGeneralSettings.qtmac = gXMLReader.PList[1][2][2][5][2]
  gMaster.pGeneralSettings.qtpc = gXMLReader.PList[1][2][2][6][2]
  gMaster.pMediumCastLib = gXMLReader.PList[1][2][2][7][2]
  gMaster.pSmallCastLib = gXMLReader.PList[1][2][2][8][2]
  gMaster.pGeneralSettings.presskitid = gXMLReader.PList[1][2][2][9][2]
end

on mDoGallerySettings
  gMaster.pGallerySettings.pushpin = gXMLReader.PList[1][2][3][2][2]
  gMaster.pGallerySettings.rectangles = gXMLReader.PList[1][2][3][3][2]
  gMaster.pGallerySettings.blendeffect = gXMLReader.PList[1][2][3][4][2]
  gMaster.pGallerySettings.xyeffect = gXMLReader.PList[1][2][3][5][2]
  gMaster.pGallerySettings.percenteffect = gXMLReader.PList[1][2][3][6][2]
  gMaster.pGallerySettings.percentage = gXMLReader.PList[1][2][3][7][2]
  gMaster.pGallerySettings.xytitle = value(gXMLReader.PList[1][2][3][8][2])
  gMaster.pGallerySettings.pinoffset = value(gXMLReader.PList[1][2][3][9][2])
  gMaster.pGallerySettings.pingraphic = gXMLReader.PList[1][2][3][10][2]
  gMaster.pGallerySettings.blendpercent = value(gXMLReader.PList[1][2][3][11][2])
  gMaster.pGallerySettings.titlelogoeffect = gXMLReader.PList[1][2][3][12][2]
end

on mDoSlideShowSettings me
  gMaster.pSlideShowSettings.pushpin = gXMLReader.PList[1][2][4][2][2]
  gMaster.pSlideShowSettings.rectangles = gXMLReader.PList[1][2][4][3][2]
  gMaster.pSlideShowSettings.blendeffect = gXMLReader.PList[1][2][4][4][2]
  gMaster.pSlideShowSettings.xyeffect = gXMLReader.PList[1][2][4][5][2]
  gMaster.pSlideShowSettings.percenteffect = gXMLReader.PList[1][2][4][6][2]
  gMaster.pSlideShowSettings.percentage = gXMLReader.PList[1][2][4][7][2]
  gMaster.pSlideShowSettings.xytitle = value(gXMLReader.PList[1][2][4][8][2])
  gMaster.pSlideShowSettings.pinoffset = value(gXMLReader.PList[1][2][4][9][2])
  gMaster.pSlideShowSettings.pingraphic = gXMLReader.PList[1][2][4][10][2]
  gMaster.pSlideShowSettings.blendpercent = value(gXMLReader.PList[1][2][4][11][2])
  gMaster.pSlideShowSettings.savedbutton = gXMLReader.PList[1][2][4][12][2]
  gMaster.pSlideShowSettings.savebutton = gXMLReader.PList[1][2][4][13][2]
  gMaster.pSlideShowSettings.xyflasheffect = gXMLReader.PList[1][2][4][14][2]
  gMaster.pSlideShowSettings.titlelogoeffect = gXMLReader.PList[1][2][4][15][2]
end

on mDoSavedSettings me
  gMaster.pSavedSettings.pushpin = gXMLReader.PList[1][2][5][2][2]
  gMaster.pSavedSettings.rectangles = gXMLReader.PList[1][2][5][3][2]
  gMaster.pSavedSettings.blendeffect = gXMLReader.PList[1][2][5][4][2]
  gMaster.pSavedSettings.xyeffect = gXMLReader.PList[1][2][5][5][2]
  gMaster.pSavedSettings.percenteffect = gXMLReader.PList[1][2][5][6][2]
  gMaster.pSavedSettings.percentage = gXMLReader.PList[1][2][5][7][2]
  gMaster.pSavedSettings.xytitle = value(gXMLReader.PList[1][2][5][8][2])
  gMaster.pSavedSettings.pinoffset = value(gXMLReader.PList[1][2][5][9][2])
  gMaster.pSavedSettings.pingraphic = gXMLReader.PList[1][2][5][10][2]
  gMaster.pSavedSettings.blendpercent = value(gXMLReader.PList[1][2][5][11][2])
  vCount = gXMLReader.PList[1][2][5][12].count
  vTempCount = 0
  vPhotoSprite = 68
  vRectSprite = 27
  vPushPinSprite = 109
  vPosterNum = 0
  vLogoNum = 0
  vType = gXMLReader.PList[1][2][5][12][2][2]
  vXY = value(gXMLReader.PList[1][2][5][12][3][2])
  vPage = value(gXMLReader.PList[1][2][5][12][4][2])
  vSmall = gXMLReader.PList[1][2][5][12][5][2]
  vCastLib = gXMLReader.PList[1][2][5][12][6][2]
  vDownload = gXMLReader.PList[1][2][5][12][7][2]
  vKeyNum = 1
  vTempCount = vTempCount + 1
  vPhotoSprite = vPhotoSprite + 1
  vRectSprite = vRectSprite + 1
  vPushPinSprite = vPushPinSprite + 1
  gNotes.pProductionCastName = vSmall
  vLarge = EMPTY
  add(gMaster.pSummaryList, new(script("Summary Parent"), vTempCount, vType, vXY, vPage, vSmall, vCastLib, vDownload, vPhotoSprite, vRectSprite, vPushPinSprite, vKeyNum, vLarge))
  vType = gXMLReader.PList[1][2][5][13][2][2]
  vXY = value(gXMLReader.PList[1][2][5][13][3][2])
  vPage = value(gXMLReader.PList[1][2][5][13][4][2])
  vSmall = gXMLReader.PList[1][2][5][13][5][2]
  vCastLib = gXMLReader.PList[1][2][5][13][6][2]
  vDownload = gXMLReader.PList[1][2][5][13][7][2]
  vKeyNum = 1
  vTempCount = vTempCount + 1
  vPhotoSprite = vPhotoSprite + 1
  vRectSprite = vRectSprite + 1
  vPushPinSprite = vPushPinSprite + 1
  gNotes.pCreditsCastName = vSmall
  vLarge = EMPTY
  add(gMaster.pSummaryList, new(script("Summary Parent"), vTempCount, vType, vXY, vPage, vSmall, vCastLib, vDownload, vPhotoSprite, vRectSprite, vPushPinSprite, vKeyNum, vLarge))
  vType = gXMLReader.PList[1][2][5][14][2][2]
  vXY = value(gXMLReader.PList[1][2][5][14][3][2])
  vPage = value(gXMLReader.PList[1][2][5][14][4][2])
  vSmall = gXMLReader.PList[1][2][5][14][5][2]
  vCastLib = gXMLReader.PList[1][2][5][14][6][2]
  vDownload = gXMLReader.PList[1][2][5][14][7][2]
  vKeyNum = 1
  vTempCount = vTempCount + 1
  vPhotoSprite = vPhotoSprite + 1
  vRectSprite = vRectSprite + 1
  vPushPinSprite = vPushPinSprite + 1
  gNotes.pProductionCastNameSpanish = vSmall
  vLarge = gNotes.pProductionFileNamePDFspanish
  add(gMaster.pSummaryList, new(script("Summary Parent"), vTempCount, vType, vXY, vPage, vSmall, vCastLib, vDownload, vPhotoSprite, vRectSprite, vPushPinSprite, vKeyNum, vLarge))
  vType = gXMLReader.PList[1][2][5][15][2][2]
  vXY = value(gXMLReader.PList[1][2][5][15][3][2])
  vPage = value(gXMLReader.PList[1][2][5][15][4][2])
  vSmall = gXMLReader.PList[1][2][5][15][5][2]
  vCastLib = gXMLReader.PList[1][2][5][15][6][2]
  vDownload = gXMLReader.PList[1][2][5][15][7][2]
  vKeyNum = 1
  vTempCount = vTempCount + 1
  vPhotoSprite = vPhotoSprite + 1
  vRectSprite = vRectSprite + 1
  vPushPinSprite = vPushPinSprite + 1
  gNotes.pCreditsCastNameSpanish = vSmall
  vLarge = gNotes.pCreditsFileNamePDFspanish
  add(gMaster.pSummaryList, new(script("Summary Parent"), vTempCount, vType, vXY, vPage, vSmall, vCastLib, vDownload, vPhotoSprite, vRectSprite, vPushPinSprite, vKeyNum, vLarge))
  vKeyNum = 0
  vCount = gXMLReader.PList[1][2][5][16].count
  repeat with r = 2 to vCount
    vType = gXMLReader.PList[1][2][5][16][r][2][2]
    vXY = value(gXMLReader.PList[1][2][5][16][r][3][2])
    vPage = value(gXMLReader.PList[1][2][5][16][r][4][2])
    vSmall = gXMLReader.PList[1][2][5][16][r][5][2]
    vCastLib = gXMLReader.PList[1][2][5][16][r][6][2]
    vDownload = gXMLReader.PList[1][2][5][16][r][7][2]
    vTempCount = vTempCount + 1
    vPhotoSprite = vPhotoSprite + 1
    vRectSprite = vRectSprite + 1
    vPushPinSprite = vPushPinSprite + 1
    vKeyNum = vKeyNum + 1
    vLarge = EMPTY
    add(gMaster.pSummaryList, new(script("Summary Parent"), vTempCount, vType, vXY, vPage, vSmall, vCastLib, vDownload, vPhotoSprite, vRectSprite, vPushPinSprite, vKeyNum, vLarge))
  end repeat
  vKeyNum = 0
  vCount = gXMLReader.PList[1][2][5][17].count
  repeat with r = 2 to vCount
    vType = gXMLReader.PList[1][2][5][17][r][2][2]
    vXY = value(gXMLReader.PList[1][2][5][17][r][3][2])
    vPage = value(gXMLReader.PList[1][2][5][17][r][4][2])
    vSmall = gXMLReader.PList[1][2][5][17][r][5][2]
    vCastLib = gXMLReader.PList[1][2][5][17][r][6][2]
    vDownload = gXMLReader.PList[1][2][5][17][r][7][2]
    vTempCount = vTempCount + 1
    vPhotoSprite = vPhotoSprite + 1
    vRectSprite = vRectSprite + 1
    vPushPinSprite = vPushPinSprite + 1
    vKeyNum = vKeyNum + 1
    add(gMaster.pSummaryList, new(script("Summary Parent"), vTempCount, vType, vXY, vPage, vSmall, vCastLib, vDownload, vPhotoSprite, vRectSprite, vPushPinSprite, vKeyNum))
  end repeat
end

on mDoVideoSettings me
  gMaster.pVideoSettings.videomode = gXMLReader.PList[1][2][6][2][2]
  gMaster.pVideoSettings.videoname = gXMLReader.PList[1][2][6][3][2]
  gMaster.pVideoSettings.xyvideo = value(gXMLReader.PList[1][2][6][4][2])
  gMaster.pVideoSettings.videosprite = value(gXMLReader.PList[1][2][6][5][2])
  gMaster.pVideoSettings.videopercentage = value(gXMLReader.PList[1][2][6][6][2])
  gMaster.pVideoSettings.videocontroller = gXMLReader.PList[1][2][6][7][2]
end

on mDoAudioSettings me
  gSound.pBGSoundStatus = gXMLReader.PList[1][2][7][2][2]
  gSound.pButtonStatus = gXMLReader.PList[1][2][7][3][2]
  gSound.pBGSoundMember = gXMLReader.PList[1][2][7][4][2]
  gSound.pBGSoundLooped = gXMLReader.PList[1][2][7][5][2]
  gSound.pBGSoundChannel = value(gXMLReader.PList[1][2][7][6][2])
  gSound.pButtonSoundMember = gXMLReader.PList[1][2][7][7][2]
  gSound.pButtonSoundChannel = value(gXMLReader.PList[1][2][7][8][2])
end

on mDoNotesSettings me
  vSpriteNum = value(gXMLReader.PList[1][2][8][2][2])
  vProdActive = gXMLReader.PList[1][2][8][3][2]
  vCastActive = gXMLReader.PList[1][2][8][4][2]
  vCreditsActive = gXMLReader.PList[1][2][8][5][2]
  vFilmActive = gXMLReader.PList[1][2][8][6][2]
  vProdName = gXMLReader.PList[1][2][8][7][2]
  vCastName = gXMLReader.PList[1][2][8][8][2]
  vCreditsName = gXMLReader.PList[1][2][8][9][2]
  vFilmName = gXMLReader.PList[1][2][8][10][2]
  vProdFileDOCe = gXMLReader.PList[1][2][8][11][2]
  vProdFileDOCs = gXMLReader.PList[1][2][8][12][2]
  vProdFilePDFe = gXMLReader.PList[1][2][8][13][2]
  vProdFilePDFs = gXMLReader.PList[1][2][8][14][2]
  vCreditsFileDOCe = gXMLReader.PList[1][2][8][15][2]
  vCreditsFileDOCs = gXMLReader.PList[1][2][8][16][2]
  vCreditsFilePDFe = gXMLReader.PList[1][2][8][17][2]
  vCreditsFilePDFs = gXMLReader.PList[1][2][8][18][2]
  vDownload = gXMLReader.PList[1][2][8][19][2]
  vSide = gXMLReader.PList[1][2][8][20][2]
  vVertLoc = value(gXMLReader.PList[1][2][8][21][2])
  vHorzStartLoc = value(gXMLReader.PList[1][2][8][22][2])
  vHorzFinishLoc = value(gXMLReader.PList[1][2][8][23][2])
  vTabSprite = value(gXMLReader.PList[1][2][8][24][2])
  gNotes = new(script("Notes Parent"), vSpriteNum, vProdActive, vCastActive, vCreditsActive, vFilmActive, vProdName, vCastName, vCreditsName, vFilmName, vProdFileDOCe, vProdFileDOCs, vProdFilePDFe, vProdFilePDFs, vCreditsFileDOCe, vCreditsFileDOCs, vCreditsFilePDFe, vCreditsFilePDFs, vDownload, vSide, vVertLoc, vHorzStartLoc, vHorzFinishLoc, vTabSprite)
end

on mDoCaptionSettings me
  gMaster.pCaption1 = gXMLReader.PList[1][2][9][2][2]
  gMaster.pCaption2 = gXMLReader.PList[1][2][9][3][2]
  gMaster.pCaption3 = gXMLReader.PList[1][2][9][4][2]
end

on mDoPosterSettings me
  gMaster.pPosterSettings.pushpin = gXMLReader.PList[1][2][10][2][2]
  gMaster.pPosterSettings.rectangles = gXMLReader.PList[1][2][10][3][2]
  gMaster.pPosterSettings.blendeffect = gXMLReader.PList[1][2][10][4][2]
  gMaster.pPosterSettings.xyeffect = gXMLReader.PList[1][2][10][5][2]
  gMaster.pPosterSettings.percenteffect = gXMLReader.PList[1][2][10][6][2]
  gMaster.pPosterSettings.percentage = value(gXMLReader.PList[1][2][10][7][2])
  gMaster.pPosterSettings.blendpercent = value(gXMLReader.PList[1][2][10][8][2])
  gMaster.pPosterSettings.savedbutton = gXMLReader.PList[1][2][10][9][2]
  gMaster.pPosterSettings.savebutton = gXMLReader.PList[1][2][10][10][2]
  gMaster.pPosterSettings.pinoffset = value(gXMLReader.PList[1][2][10][11][2])
  vCount = gXMLReader.PList[1][2][10][12].count
  vTempCount = 0
  gMaster.pPosterList = []
  repeat with x = 1 to vCount
    if x = 1 then
      nothing()
      next repeat
    end if
    vXY = value(gXMLReader.PList[1][2][10][12][x][2][2])
    vSmall = gXMLReader.PList[1][2][10][12][x][3][2]
    vLarge = gXMLReader.PList[1][2][10][12][x][4][2]
    vSaveSprite = value(gXMLReader.PList[1][2][10][12][x][5][2])
    vTempCount = vTempCount + 1
    vRectSpriteP = gMaster.pRectangleSpriteStartNum - 1 + vTempCount
    vPhotoSpriteP = gMaster.pPhotoSpriteStartNum - 1 + vTempCount
    vPushPinSpriteP = gMaster.pPushPinSpriteStartNum - 1 + vTempCount
    vCastLib = "assets"
    add(gMaster.pPosterList, new(script("Poster Parent"), x - 1, vXY, vSmall, vLarge, vRectSpriteP, vPhotoSpriteP, vPushPinSpriteP, vSaveSprite, vCastLib))
  end repeat
end

on mDoLogoSettings me
  gMaster.pLogoSettings.pushpin = gXMLReader.PList[1][2][15][2][2]
  gMaster.pLogoSettings.rectangles = gXMLReader.PList[1][2][15][3][2]
  gMaster.pLogoSettings.blendeffect = gXMLReader.PList[1][2][15][4][2]
  gMaster.pLogoSettings.xyeffect = gXMLReader.PList[1][2][15][5][2]
  gMaster.pLogoSettings.percenteffect = gXMLReader.PList[1][2][15][6][2]
  gMaster.pLogoSettings.percentage = value(gXMLReader.PList[1][2][15][7][2])
  gMaster.pLogoSettings.blendpercent = value(gXMLReader.PList[1][2][15][8][2])
  gMaster.pLogoSettings.savedbutton = gXMLReader.PList[1][2][15][9][2]
  gMaster.pLogoSettings.savebutton = gXMLReader.PList[1][2][15][10][2]
  gMaster.pLogoSettings.pinoffset = value(gXMLReader.PList[1][2][15][11][2])
  vCount = gXMLReader.PList[1][2][15][12].count
  if vCount = 0 then
    gMaster.pLogoList = []
  else
    vTempCount = 0
    gMaster.pLogoList = []
    repeat with x = 1 to vCount
      if x = 1 then
        nothing()
        next repeat
      end if
      vXY = value(gXMLReader.PList[1][2][15][12][x][2][2])
      vSmall = gXMLReader.PList[1][2][15][12][x][3][2]
      vLarge = gXMLReader.PList[1][2][15][12][x][4][2]
      vSaveSprite = value(gXMLReader.PList[1][2][15][12][x][5][2])
      vTempCount = vTempCount + 1
      vRectSpriteP = gMaster.pRectangleSpriteStartNum - 1 + vTempCount
      vPhotoSpriteP = gMaster.pPhotoSpriteStartNum - 1 + vTempCount
      vPushPinSpriteP = gMaster.pPushPinSpriteStartNum - 1 + vTempCount
      add(gMaster.pLogoList, new(script("logo Parent"), x - 1, vXY, vSmall, vLarge, vRectSpriteP, vPhotoSpriteP, vPushPinSpriteP, vSaveSprite))
    end repeat
  end if
end

on mDoExportSettings me
  gMaster.pExportSettings.savetodesktop = gXMLReader.PList[1][2][11][2][2]
  gMaster.pExportSettings.savetoharddrive = gXMLReader.PList[1][2][11][3][2]
  gMaster.pExportSettings.captions = gXMLReader.PList[1][2][11][4][2]
  gMaster.pExportSettings.notes = gXMLReader.PList[1][2][11][5][2]
  gMaster.pExportSettings.posters = gXMLReader.PList[1][2][11][6][2]
end

on mDoInternalFolders me
  gMaster.pInternalFolders.qtfolder = gXMLReader.PList[1][2][12][2][2]
  gMaster.pInternalFolders.docsfolder = gXMLReader.PList[1][2][12][3][2]
  gMaster.pInternalFolders.imagesfolder = gXMLReader.PList[1][2][12][4][2]
  gMaster.pInternalFolders.posterfolder = gXMLReader.PList[1][2][12][5][2]
  gMaster.pInternalFolders.notesfolder = gXMLReader.PList[1][2][12][6][2]
  gMaster.pInternalFolders.logosfolder = gXMLReader.PList[1][2][12][7][2]
end

on mDoExternalFolders me
  gMaster.pExternalFolders.masterfolder = gXMLReader.PList[1][2][13][2][2]
  gMaster.pExternalFolders.docsfolder = gXMLReader.PList[1][2][13][3][2]
  gMaster.pExternalFolders.imagesfolder = gXMLReader.PList[1][2][13][4][2]
  gMaster.pExternalFolders.posterfolder = gXMLReader.PList[1][2][13][5][2]
  gMaster.pExternalFolders.notesfolder = gXMLReader.PList[1][2][13][6][2]
  gMaster.pExternalFolders.logosfolder = gXMLReader.PList[1][2][13][7][2]
end

on mDoGalleries me
  vCount = gXMLReader.PList[1][2][14].count
  vTempFlash = 0
  gMaster.pPhotoList = []
  vTempCount = 0
  vOldSavedPageNum = 0
  repeat with x = 1 to vCount
    if x = 1 then
      nothing()
      next repeat
    end if
    vTempCount2 = 0
    vRectSpriteG = 0
    vPhotoSpriteG = 0
    vPushPinSpriteG = 0
    vCount2 = gXMLReader.PList[1][2][14][x].count
    vGalleryNumber = value(gXMLReader.PList[1][2][14][x][2][2])
    vGalleryName = gXMLReader.PList[1][2][14][x][3][2]
    vTitleGallery = gXMLReader.PList[1][2][14][x][4][2]
    vTitleSlide = gXMLReader.PList[1][2][14][x][5][2]
    vTitleSaved = gXMLReader.PList[1][2][14][x][6][2]
    repeat with y = 7 to vCount2
      vCount3 = gXMLReader.PList[1][2][14][x][y].count
      repeat with z = 1 to vCount3
        case z of
          1:
          2:
            vXYGallery = value(gXMLReader.PList[1][2][14][x][y][z][2])
          3:
            vXYSlide = value(gXMLReader.PList[1][2][14][x][y][z][2])
          4:
            vXYSaved = value(gXMLReader.PList[1][2][14][x][y][z][2])
          5:
            vXYFlash = value(gXMLReader.PList[1][2][14][x][y][z][2])
          6:
            vSavedPageNum = value(gXMLReader.PList[1][2][14][x][y][z][2])
            if vSavedPageNum > vOldSavedPageNum then
              vTempCount3 = 0
            end if
            vOldSavedPageNum = vSavedPageNum
          7:
            vSmallName = gXMLReader.PList[1][2][14][x][y][z][2]
          8:
            vlargeName = gXMLReader.PList[1][2][14][x][y][z][2]
          9:
            vOKtoDownload = gXMLReader.PList[1][2][14][x][y][z][2]
          10:
            vEnglishCaption = gXMLReader.PList[1][2][14][x][y][z][2]
          11:
            vSpanishCaption = gXMLReader.PList[1][2][14][x][y][z][2]
          otherwise:
            put "houston you have a problem"
        end case
      end repeat
      vTempCount = vTempCount + 1
      vTempCount2 = vTempCount2 + 1
      vTempCount3 = vTempCount3 + 1
      vTempFlash = vTempFlash + 1
      vFlashLabel = vTempFlash
      vRectSpriteG = gMaster.pRectangleSpriteStartNum - 1 + vTempCount2
      vPhotoSpriteG = gMaster.pPhotoSpriteStartNum - 1 + vTempCount2
      vPushPinSpriteG = gMaster.pPushPinSpriteStartNum - 1 + vTempCount2
      vRectSpriteS = gMaster.pRectangleSpriteStartNum - 1 + vTempCount3
      vPhotoSpriteS = gMaster.pPhotoSpriteStartNum - 1 + vTempCount3
      vPushPinSpriteS = gMaster.pPushPinSpriteStartNum - 1 + vTempCount3
      add(gMaster.pPhotoList, new(script("Photo Parent"), vGalleryNumber, vTempCount, vGalleryName, vXYGallery, vXYSlide, vXYSaved, vXYFlash, vSavedPageNum, vSmallName, vlargeName, vFlashLabel, vTitleGallery, vTitleSlide, vTitleSaved, vRectSpriteG, vPhotoSpriteG, vPushPinSpriteG, vRectSpriteS, vPhotoSpriteS, vPushPinSpriteS, vOKtoDownload, vEnglishCaption, vSpanishCaption))
    end repeat
  end repeat
end

on mDoGalleryToSummary me
  vCount = gMaster.pPhotoList.count
  vTempCount = gMaster.pSummaryList.count
  vAddNum = vTempCount
  repeat with x = 1 to vCount
    vType = "photo"
    vXY = gMaster.pPhotoList[x].pXYSaved
    vPage = gMaster.pPhotoList[x].pSavedPage
    vSmall = gMaster.pPhotoList[x].pSmallName
    vLarge = gMaster.pPhotoList[x].pLargeName
    vCastLib = gMaster.pMediumCastLib
    vDownload = gMaster.pPhotoList[x].pOKtoDownload
    vPhotoSprite = gMaster.pPhotoList[x].pPhotoSpriteSaved + vAddNum
    vRectSprite = gMaster.pPhotoList[x].pRectSpriteSaved + vAddNum
    vPushPinSprite = gMaster.pPhotoList[x].pPushPinSpriteSaved + vAddNum
    gMaster.pPhotoList[x].pPhotoSpriteSaved = vPhotoSprite
    gMaster.pPhotoList[x].pRectSpriteSaved = vRectSprite
    gMaster.pPhotoList[x].pPushPinSpriteSaved = vPushPinSprite
    vKeyNum = gMaster.pPhotoList[x].pPhotoNumber
    vTempCount = vTempCount + 1
    add(gMaster.pSummaryList, new(script("Summary Parent"), vTempCount, vType, vXY, vPage, vSmall, vCastLib, vDownload, vPhotoSprite, vRectSprite, vPushPinSprite, vKeyNum, vLarge))
  end repeat
  repeat with x = 1 to gMaster.pSummaryList.count
    if gMaster.pSummaryList[x].pType = "photo" then
      gMaster.pSummaryList[x].pCastLibSmall = gMaster.pSmallCastLib
      next repeat
    end if
    gMaster.pSummaryList[x].pCastLibSmall = gMaster.pSummaryList[x].pCastLib
  end repeat
end

on mSetInputText me, theText
  pInputText = theText
  gMasterText = theText
end

on mGetTextFile me, theURL
  pOK = "no"
  toMail = getNetText(theURL)
  pNetID = getLatestNetID()
end

on mGetTextFile2 me
  mSetInputText(gXMLReader, member("XML-text").text)
  pFinished = "yes"
end

on mStartMeUp me
  mGetTextFile2(gXMLReader)
end

on mXMLTree me, theMember
  mSetMasterList(gNodeWatcher, theMember)
  mInitParser(gXMLReader, #parseString)
  mParseString(gNodeWatcher, #parseString, theMember)
  mStartRecursion(gXMLReader)
end

on mStartRecursion me
  mInitString(gNodeWatcher)
  mProcessNode(gNodeWatcher)
  mPrintTreeInfo(gNodeWatcher)
end

on mInitParser me, WhatToParse
  mSetMasterNode(gNodeWatcher, 1)
  gParsedXML2 = new(script("xml.parser"))
  case WhatToParse of
    #parseString:
      parsedData = parseString(gParsedXML2, WhatToParse)
      if getError(gParsedXML2) = VOID then
      else
        exit
      end if
  end case
end

on stepFrame me
  if netDone(pNetID) then
    if netError(pNetID) = "OK" then
      mDeleteActor(me)
      mGoTo2(gXMLReader)
    else
    end if
  end if
end

on mGoTo2 me
  theText = netTextResult(pNetID)
  gMasterText = string(theText)
  mXMLTree(gXMLReader, gMasterText)
  DoXMLXtra(gTypes)
  mParseTypesXML(gTypes)
  pOK = "yes"
  mProgress("Types XML has finished")
end

on mStopUpDater me
  pWhichOne = 0
  return me
end

on mAddActor me
  add(the actorList, me)
end

on mDeleteActor me
  where = getOne(the actorList, me)
  if where > 0 then
    deleteAt(the actorList, where)
  end if
end
