global gMaster, gXMLReader, gMasterImagesPath, gMasterDocPath, gNotes, gSound, gVideo, gSelectedAll, gSelected, gManager, gTracker, gNetQueue, gAlertObj, gRecordSet, gFlashMarkers

on startMovie
  gFlashMarkers = [#FP1: 0, #FP1s: 0, #FP2: 0, #FP2s: 0, #FP3: 0, #FP3s: 0]
  the actorList = []
  gSelectedAll = "no"
  gMasterImagesPath = EMPTY
  gMasterDocPath = EMPTY
  gNotes = 0
  gXMLReader = 0
  gMaster = 0
  gSound = 0
  gVideo = 0
  gMaster = new(script("Master Parent"))
  gXMLReader = new(script("XMLReader Parent"))
  gSound = new(script("Sound Parent"))
  gVideo = new(script("Video Parent"))
  gManager = new(script("Manager Parent"))
  gTracker = new(script("Tracker Parent"))
  gNetQueue = new(script("netQueue parent"))
  gAlertObj = new(script("alert parent"))
  gRecordSet = new(script("RecordSet parent"))
  mMakeXMLInstance(gXMLReader)
  vTemp = (the environment).productVersion
  if the platform contains "Mac" then
    case vTemp of
      "8.5.1", "8.5":
        Register(xtra("ProgressCopy"), "2cizy94e7ipq")
    end case
  end if
  gTracker.mCheckInternetConnection()
  CheckQT()
  mPreLoadMainPage()
end

on stopMovie
  gXMLReader = 0
  gMaster = 0
  gSound = 0
  gVideo = 0
  gManager = 0
  gTracker = 0
  gNetQueue.mDestruct()
  gNetQueue = 0
  gAlertObj = 0
  gRecordSet = 0
  the actorList = []
end

on CheckQT
  if voidp(QuickTimeVersion()) or (QuickTimeVersion() < 6) then
    go("quick")
  else
    go("intro")
  end if
end

on mSelectAll
  if gSelectedAll = "no" then
    repeat with x = 1 to gMaster.pSavedSummaryList.count
      gMaster.pSavedSummaryList[x].pSelected = "yes"
    end repeat
    repeat with x = 1 to gMaster.pSummaryList.count
      gMaster.pSummaryList[x].pSelected = "yes"
    end repeat
    gSelectedAll = "yes"
    mSetAllSummaryPage()
  else
    repeat with x = 1 to gMaster.pSavedSummaryList.count
      gMaster.pSavedSummaryList[x].pSelected = "no"
    end repeat
    repeat with x = 1 to gMaster.pSummaryList.count
      gMaster.pSummaryList[x].pSelected = "no"
    end repeat
    gSelectedAll = "no"
    mSetAllSummaryPage()
  end if
end

on mSetAllSummaryPage
  if gMaster.pSummaryList.count = 0 then
    alert("the gMaster.pSummaryList list is empty")
    exit
  else
    if gMaster.pSavedSettings.xyeffect = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        sprite(vSpriteCount).member = member(gMaster.pSavedSummaryList[x].pSmallName, gMaster.pSavedSummaryList[x].pCastLib)
        sprite(vSpriteCount).loc = gMaster.pSavedSummaryList[x].pXYPosition
        vMemberWidth = member(gMaster.pSavedSummaryList[x].pSmallName, gMaster.pSavedSummaryList[x].pCastLib).width
        vMemberHeight = member(gMaster.pSavedSummaryList[x].pSmallName, gMaster.pSavedSummaryList[x].pCastLib).height
        vWidth = vMemberWidth * float("." & gMaster.pSavedSettings.percentage)
        vHeight = vMemberHeight * float("." & gMaster.pSavedSettings.percentage)
        if gMaster.pSavedSettings.percentage = 100 then
          sprite(vSpriteCount).width = vMemberWidth
          sprite(vSpriteCount).height = vMemberHeight
        else
          sprite(vSpriteCount).width = vWidth
          sprite(vSpriteCount).height = vHeight
        end if
        vSpriteCount = vSpriteCount + 1
      end repeat
      updateStage()
    end if
    if gMaster.pSavedSettings.blendeffect = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        if gMaster.pSavedSummaryList[x].pSelected = "no" then
          sprite(vSpriteCount).blend = 100
        else
          sprite(vSpriteCount).blend = gMaster.pSavedSettings.blendpercent
        end if
        vSpriteCount = vSpriteCount + 1
      end repeat
    end if
    if gMaster.pSavedSettings.rectangles = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      vSpriteCount2 = gMaster.pRectangleSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        if gMaster.pSavedSummaryList[x].pSelected = "no" then
          sprite(vSpriteCount2).rect = rect(-2000, -2000, -1999, 1999)
        else
          vLeft = sprite(vSpriteCount).left - 2
          vTop = sprite(vSpriteCount).top - 2
          vRight = sprite(vSpriteCount).right + 2
          vBottom = sprite(vSpriteCount).bottom + 2
          sprite(vSpriteCount2).rect = rect(vLeft, vTop, vRight, vBottom)
        end if
        vSpriteCount = vSpriteCount + 1
        vSpriteCount2 = vSpriteCount2 + 1
      end repeat
    end if
    if gMaster.pSavedSettings.pushpin = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      vSpriteCount2 = gMaster.pPushPinSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        if gMaster.pSavedSummaryList[x].pSelected = "no" then
          sprite(vSpriteCount2).loc = point(-2000, -2000)
        else
          vLeft = sprite(vSpriteCount).left + gMaster.pSavedSettings.pinoffset[1]
          vTop = sprite(vSpriteCount).top + gMaster.pSavedSettings.pinoffset[2]
          sprite(vSpriteCount2).loc = point(vLeft, vTop)
        end if
        vSpriteCount = vSpriteCount + 1
        vSpriteCount2 = vSpriteCount2 + 1
      end repeat
    end if
    repeat with x = 1 to gMaster.pPhotoList.count
      gMaster.pPhotoList[x].pSelected = gSelectedAll
    end repeat
    repeat with x = 1 to gMaster.pPosterList.count
      gMaster.pPosterList[x].pSelected = gSelectedAll
    end repeat
    repeat with x = 1 to gMaster.pLogoList.count
      gMaster.pLogoList[x].pSelected = gSelectedAll
    end repeat
    gNotes.pProductionSelected = gSelectedAll
    gNotes.pCreditsSelected = gSelectedAll
    if gSelectedAll = "yes" then
      sendSprite(9, #mSetOnStage)
    else
      sendSprite(9, #mSetOffStage)
    end if
  end if
end

on mPreLoadMainPage
  vOK = "no"
  repeat with x = 1 to 700
    if member(x, "assets").name = "mainMenuPage" then
      preloadMember(member(x, "assets"))
      vOK = "yes"
      exit repeat
      next repeat
    end if
    nothing()
  end repeat
  if vOK = "no" then
    alert("the cast member mainMenuPage does not exist in the Assets castLib, please correct")
  end if
end

on mGoMain
  go("main")
end

on mGoFirst
  go("First")
end

on mGoX1sht
  go("onesheetout")
end

on mGoXphotos
  go("photosout")
end

on mGoXnotes
  go("notesout")
end

on mGoXlogos
  go("logosout")
end

on mGoXtrailer
  go("trailerout")
end

on mGoFirstGallery
  gSound.mPlayButtonClick()
  gMaster.pGalleryCount = 1
  if (gMaster.pmarker = "save1") or (gMaster.pmarker = "save2") or (gMaster.pmarker = "save3") then
    repeat with x = 1 to gMaster.pSavedSummaryList.count
      sprite(gMaster.pSavedSummaryList[x].pRectSpriteSaved).rect = rect(-2000, -2000, -1999, -1999)
      sprite(gMaster.pSavedSummaryList[x].pPushPinSpriteSaved).loc = point(-2000, -2000)
      sprite(gMaster.pSavedSummaryList[x].pPhotoSpriteSaved).blend = 100
    end repeat
  end if
  updateStage()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  go("1G")
end

on mGoAnyGallery vNum
  gSound.mPlayButtonClick()
  gMaster.pGalleryCount = vNum
  if (gMaster.pmarker = "save1") or (gMaster.pmarker = "save2") or (gMaster.pmarker = "save3") then
    repeat with x = 1 to gMaster.pSavedPhotosList.count
      sprite(gMaster.pSavedPhotosList[x].pRectSpriteSaved).rect = rect(-2000, -2000, -1999, -1999)
      sprite(gMaster.pSavedPhotosList[x].pPushPinSpriteSaved).loc = point(-2000, -2000)
      sprite(gMaster.pSavedPhotosList[x].pPhotoSpriteSaved).blend = 100
    end repeat
  end if
  updateStage()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  vTemp = vNum & "G"
  go(vTemp)
end

on mGoBackGallery
  vNum = gMaster.pGalleryCount - 1
  mGoAnyGallery(vNum)
end

on mGoNextGallery
  vNum = gMaster.pGalleryCount + 1
  mGoAnyGallery(vNum)
end

on mGoNotes
  gSound.mPlayButtonClick()
  go("notes")
end

on mGoFlashPaper
  gSound.mPlayButtonClick()
  if gMaster.pLanguageMode = "english" then
    go("FP1")
  else
    go("FP1s")
  end if
end

on mGoFP
  gSound.mPlayButtonClick()
  if gMaster.pLanguageMode = "english" then
    go("FP1")
  else
    go("FP1s")
  end if
end

on mGoPoster
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  go("poster")
end

on mGoLogos
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  go("logos")
end

on mGoTrailer
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  go("Trailer")
end

on mSpecialExit
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  go("save1")
end

on mOpenWebPage
  gTracker.mAddSection("website")
  gSound.mPlayButtonClick()
  gotoNetPage(gMaster.pGeneralSettings.url)
end

on mGoSaved
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  if (gMaster.pmarker.char[2] = "g") or (gMaster.pmarker.char[3] = "g") then
    repeat with x = 1 to gMaster.pGalleryPhotosList.count
      sprite(gMaster.pGalleryPhotosList[x].pRectSpriteGallery).rect = rect(-2000, -2000, -1999, -1999)
      sprite(gMaster.pGalleryPhotosList[x].pPushPinSpriteGallery).loc = point(-2000, -2000)
      sprite(gMaster.pGalleryPhotosList[x].pPhotoSpriteGallery).blend = 100
    end repeat
  end if
  go("save1")
end

on mGoExit
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  showQuitDialog()
end

on mGoQuit
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  quit()
end

on DoQuit
  hideQuitDialog()
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  if the optionDown then
    go("debug")
  else
    go("exit")
  end if
end

on DoNotQuit
  if gNotes.pTabStatus = "opened" then
    gNotes.pTabStatus = "closed"
  end if
  hideQuitDialog()
  go("save1")
end

on mGoLanguage
  if gMaster.pLanguageMode = "english" then
    gMaster.pLanguageMode = "spanish"
    gSelectedAll = "yes"
    mSelectAll()
  else
    gMaster.pLanguageMode = "english"
    gSelectedAll = "yes"
    mSelectAll()
  end if
  sendAllSprites(#mSetUpGraphics)
end

on mGoProductionNotes
  sprite(gNotes.pSpriteNum).member = member(gNotes.pProductionCastName, "assets")
end

on mGoCastNotes
  sprite(gNotes.pSpriteNum).member = member(gNotes.pCastCastName, "assets")
end

on mGoCreditsNotes
  sprite(gNotes.pSpriteNum).member = member(gNotes.pCreditsCastName, "assets")
end

on mGoFilmMakerNotes
  sprite(gNotes.pSpriteNum).member = member(gNotes.pFilmmakerCastName, "assets")
end

on mGoSavedImages
  gSound.mPlayButtonClick()
  go("save1")
end

on mMoveGalleryRight vLogoSprite
  gSound.mPlayButtonClick()
  repeat with x = 1 to gMaster.pGalleryPhotosList.count
    sprite(gMaster.pGalleryPhotosList[x].pRectSpriteGallery).rect = rect(-2000, -2000, -1999, -1999)
    sprite(gMaster.pGalleryPhotosList[x].pPushPinSpriteGallery).loc = point(-2000, -2000)
    sprite(gMaster.pGalleryPhotosList[x].pPhotoSpriteGallery).blend = 100
  end repeat
  vMaxGalleryNum = gMaster.pPhotoList[gMaster.pPhotoList.count].pGalleryNumber
  if (gMaster.pGalleryCount + 1) > vMaxGalleryNum then
    gMaster.pGalleryCount = 1
    vString = string(gMaster.pGalleryCount)
    go(vString & "G")
  else
    gMaster.pGalleryCount = gMaster.pGalleryCount + 1
    vString = string(gMaster.pGalleryCount)
    go(vString & "G")
  end if
  if gMaster.pGallerySettings.titlelogoeffect = "TRUE" then
    repeat with z = 1 to gMaster.pPhotoList.count
      if gMaster.pGalleryCount = gMaster.pPhotoList[z].pGalleryNumber then
        vLogoName = gMaster.pPhotoList[z].pTitleGallery
        exit repeat
      end if
    end repeat
    sprite(vLogoSprite).member = member(vLogoName)
    sprite(vLogoSprite).loc = gMaster.pGallerySettings.xytitle
  end if
end

on mMoveGalleryLeft vLogoSprite
  gSound.mPlayButtonClick()
  repeat with x = 1 to gMaster.pGalleryPhotosList.count
    sprite(gMaster.pGalleryPhotosList[x].pRectSpriteGallery).rect = rect(-2000, -2000, -1999, -1999)
    sprite(gMaster.pGalleryPhotosList[x].pPushPinSpriteGallery).loc = point(-2000, -2000)
    sprite(gMaster.pGalleryPhotosList[x].pPhotoSpriteGallery).blend = 100
  end repeat
  vMaxGalleryNum = gMaster.pPhotoList[gMaster.pPhotoList.count].pGalleryNumber
  if (gMaster.pGalleryCount - 1) = 0 then
    gMaster.pGalleryCount = vMaxGalleryNum
    vString = string(gMaster.pGalleryCount)
    go(vString & "G")
  else
    gMaster.pGalleryCount = gMaster.pGalleryCount - 1
    vString = string(gMaster.pGalleryCount)
    go(vString & "G")
  end if
  if gMaster.pGallerySettings.titlelogoeffect = "TRUE" then
    repeat with z = 1 to gMaster.pPhotoList.count
      if gMaster.pGalleryCount = gMaster.pPhotoList[z].pGalleryNumber then
        vLogoName = gMaster.pPhotoList[z].vTitleGallery
        exit repeat
      end if
    end repeat
    sprite(vLogoSprite).member = member(vLogoName)
    sprite(vLogoSprite).loc = gMaster.pGallerySettings.xytitle
  end if
end

on mMoveSavedRight me
  gSound.mPlayButtonClick()
  repeat with x = 1 to gMaster.pSavedSummaryList.count
    sprite(gMaster.pSavedSummaryList[x].pRectSpriteSaved).rect = rect(-2000, -2000, -1999, -1999)
    sprite(gMaster.pSavedSummaryList[x].pPushPinSpriteSaved).loc = point(-2000, -2000)
    sprite(gMaster.pSavedSummaryList[x].pPhotoSpriteSaved).blend = 100
  end repeat
  vMaxSavedNum = gMaster.pPhotoList[gMaster.pPhotoList.count].pSavedPage
  if (gMaster.pSavedCount + 1) > vMaxSavedNum then
    gMaster.pSavedCount = 1
    vString = string(gMaster.pSavedCount)
    go("save" & vString)
  else
    gMaster.pSavedCount = gMaster.pSavedCount + 1
    vString = string(gMaster.pSavedCount)
    go("save" & vString)
  end if
end

on mMoveSavedLeft me
  gSound.mPlayButtonClick()
  repeat with x = 1 to gMaster.pSavedSummaryList.count
    sprite(gMaster.pSavedSummaryList[x].pRectSpriteSaved).rect = rect(-2000, -2000, -1999, -1999)
    sprite(gMaster.pSavedSummaryList[x].pPushPinSpriteSaved).loc = point(-2000, -2000)
    sprite(gMaster.pSavedSummaryList[x].pPhotoSpriteSaved).blend = 100
  end repeat
  vMaxSavedNum = gMaster.pPhotoList[gMaster.pPhotoList.count].pSavedPage
  if (gMaster.pSavedCount - 1) = 0 then
    gMaster.pSavedCount = vMaxSavedNum
    vString = string(gMaster.pSavedCount)
    go("save" & vString)
  else
    gMaster.pSavedCount = gMaster.pSavedCount - 1
    vString = string(gMaster.pSavedCount)
    go("save" & vString)
  end if
end

on mXXX vStart, vEnd
  vlist = []
  repeat with x = vStart to vEnd
    add(vlist, sprite(x).loc)
  end repeat
  put vlist
end

on mResize vStart, vEnd, vPercent
  repeat with x = vStart to vEnd
    vMemberWidth = member(sprite(x).member.name, gMaster.pMediumCastLib).width
    vMemberHeight = member(sprite(x).member.name, gMaster.pMediumCastLib).height
    vWidth = vMemberWidth * float("." & vPercent)
    vHeight = vMemberHeight * float("." & vPercent)
    sprite(x).width = vWidth
    sprite(x).height = vHeight
    vSpriteCount = vSpriteCount + 1
  end repeat
  updateStage()
end

on hideFlashDialog
  vBackgroundSprite = 150
  vFlashSprite = 151
  vTextSprite = 152
  sprite(vBackgroundSprite).loc = point(-2000, -2000)
  sprite(vFlashSprite).loc = point(-2000, -2000)
  sprite(vTextSprite).loc = point(-2000, -2000)
end

on showFlashDialog
  vBackgroundSprite = 150
  vFlashSprite = 151
  vTextSprite = 152
  vHorz = (the stageRight - the stageLeft) / 2
  vVert = (the stageBottom - the stageTop) / 2
  sprite(vBackgroundSprite).loc = point(0, 0)
  sprite(vFlashSprite).loc = point(vHorz, vVert)
  sprite(vTextSprite).loc = point(363, 268)
end

on hideQuitDialog
  vBackgroundSprite = 150
  vQuitSprite = 153
  sprite(vBackgroundSprite).loc = point(-2000, -2000)
  sprite(vQuitSprite).loc = point(-2000, -2000)
end

on showQuitDialog
  vBackgroundSprite = 150
  vQuitSprite = 153
  vHorz = (the stageRight - the stageLeft) / 2
  vVert = (the stageBottom - the stageTop) / 2
  sprite(vBackgroundSprite).loc = point(0, 0)
  sprite(vQuitSprite).loc = point(vHorz, vVert)
end

on GetUrl me, vString
  case vString of
    "tab":
      gNotes.mSlideTab()
    "word":
      gNotes.pSelectedStatus = "word"
    "pdf":
      gNotes.pSelectedStatus = "pdf"
    "txt":
      gNotes.pSelectedStatus = "txt"
    "soundstop":
      gSound.mStopSound()
    "soundplay":
      gSound.mPlaySound()
    "volume25":
      gSound.mSetVolume(vString)
    "volume50":
      gSound.mSetVolume(vString)
    "volume75":
      gSound.mSetVolume(vString)
    "volume100":
      gSound.mSetVolume(vString)
    "cursorON":
      put "cursorON received"
    "cursorOFF":
      put "cursorOFF received"
    "savetodesktop":
      MasterSave("desktop", "with")
      hideFlashDialog()
    "savetolocation":
      MasterSave("harddrive", "with")
      hideFlashDialog()
    "changeimage":
      hideFlashDialog()
    "savenofiles":
      mGoExit()
    "yesquit":
      DoQuit()
    "noquit":
      DoNotQuit()
    "photos":
    "trailer":
    "menu":
    "logos":
    "exit":
    "quit":
    "summary":
    "website":
    "notes":
    "spanish":
    "english":
    "posters":
  end case
end

on ttt
  global ccc
  ccc = []
  vvv = string([[#main: 1, #first: 5, #gallery: 6, #slideshow: 1, #trailer: 1, #poster: 1, #logos: 1, #notes: 1, #summary: 1], [["photo", "MX-03.tif"], ["photo", "MX-20.tif"], ["poster", "Mexico One Sheet.tif"], ["logo", "Mexico Title.eps"], ["logo", "Columbia Logo.eps"], ["PDF", "Mexico Production Notes.pdf"], ["DOC", "Mexico Production Notes.doc"], ["PDF", "Mexico Credits English.pdf"], ["DOC", "Mexico Credits English.doc"]], ["MX-48", "MX-44", "MX-39", "MX-30A"]])
  vvv2 = string([[#main: 1, #first: 5, #gallery: 6, #slideshow: 1, #trailer: 1, #poster: 1, #logos: 1, #notes: 1, #summary: 1], [["photo", "MX-03.tif"], ["photo", "MX-20.tif"], ["poster", "Mexico One Sheet.tif"], ["logo", "Mexico Title.eps"], ["logo", "Columbia Logo.eps"], ["PDF", "Mexico Production Notes.pdf"], ["DOC", "Mexico Production Notes.doc"], ["PDF", "Mexico Credits English.pdf"], ["DOC", "Mexico Credits English.doc"]], ["MX-48", "MX-44", "MX-39", "MX-30A"]])
  add(ccc, value(vvv))
  add(ccc, value(vvv2))
  put ccc
end

on mmm
  global bbb
  bbb = [[[#sessionID: "101903330189987", #pkID: "1", #startDateTime: "10/19/03 3:30 PM", #endDateTime: "10/19/03 3:30 PM"], [#main: 1, #first: 2, #gallery: 2, #slideshow: 1, #trailer: 0, #poster: 1, #logos: 0, #notes: 0, #summary: 1, #flashpaper: 0], [["logo", "Mexico Title.eps"], ["logo", "Columbia Logo.eps"]], ["MX-97", "MX-94", "MX-71", "MX-74", "MX-63", "MX-65"]], [[#sessionID: "101903334527330", #pkID: "1", #startDateTime: "10/19/03 3:34:51 PM", #endDateTime: "10/19/03 3:35:31 PM"], [#main: 1, #first: 2, #gallery: 2, #slideshow: 1, #trailer: 0, #poster: 1, #logos: 0, #notes: 0, #summary: 1, #flashpaper: 0], [["logo", "Mexico Title.eps"], ["logo", "Columbia Logo.eps"]], ["MX-03"]], [[#sessionID: "101903336049134", #pkID: "1", #startDateTime: "10/19/03 3:36:03 PM", #endDateTime: "10/19/03 3:37:04 PM"], [#main: 1, #first: 5, #gallery: 9, #slideshow: 3, #trailer: 1, #poster: 1, #logos: 1, #notes: 1, #summary: 1, #flashpaper: 0], [["photo", "MX-03.tif"], ["poster", "Mexico One Sheet.tif"], ["logo", "Mexico Title.eps"], ["logo", "Columbia Logo.eps"], ["EPDF", "Mexico Production Notes.pdf"], ["EDOC", "Mexico Production Notes.doc"], ["EPDF", "Mexico Credits English.pdf"], ["EDOC", "Mexico Credits English.doc"]], ["MX-03", "MX-20", "MX-26A", "MX-30A", "MX-39", "MX-44", "MX-48", "MX-55", "MX-20", "MX-20"]]]
  put bbb.count
end

on test2
  myarray = newObject("Array")
  myarray.push("first thing")
  myarray.push("second thing")
  put myarray.toString()
end

on test3
  mySet = sprite(8).newObject("RecordSet", ["ProductName", "Price", "Color"])
  aRecord = newObject("object")
  aRecord.productName = "hello"
  aRecord.Price = "world"
  aRecord.color = "red"
  mySet.addItem(aRecord)
end

on test4
  global myObj, myRec
  myObj = getVariable(sprite(8), "_level0", 0)
  myObj.mAddGeneral("aaa", "bbb", "ccc", "ddd")
  myObj.mReport()
end

on mReplaceText mainText, SearchString, replaceString
  theReplaceLen = SearchString.length - 1
  charStart = offset(SearchString, mainText)
  repeat while charStart <> 0
    if charStart <> 0 then
      put replaceString into mainText.char[charStart..charStart + theReplaceLen]
      charStart = offset(SearchString, mainText)
      next repeat
    end if
    put SearchString && "not found in text"
  end repeat
  return mainText
end
