property pRectSprite, pPhotoSprite, pPushPinSprite, pFlashSprite, pSavedSprite, pLogoSprite, pSavedGraphic, pUnSavedGraphic, pForwardGraphic, pForwardGraphicHilited
global gMaster, gSound, gTracker

on beginSprite me
  pLogoSprite = 3
  pRectSprite = 28
  pPhotoSprite = 29
  pPushPinSprite = 30
  pFlashSprite = 31
  pSavedSprite = 33
  pSavedGraphic = member(gMaster.pSlideShowSettings.savedbutton, "assets")
  pUnSavedGraphic = member(gMaster.pSlideShowSettings.savebutton, "assets")
  pForwardGraphic = member("savedSlideshow", "assets")
  pForwardGraphicHilited = member("savedSlideshow", "assets")
end

on mChangeSlideForward me
  gSound.mPlayButtonClick()
  if (gMaster.pCount + 1) > gMaster.pPhotoList.count then
    gMaster.pCount = 1
    gMaster.pActivePhotoObject = gMaster.pPhotoList[gMaster.pCount]
  else
    gMaster.pCount = gMaster.pCount + 1
    gMaster.pActivePhotoObject = gMaster.pPhotoList[gMaster.pCount]
  end if
  sprite(pPhotoSprite).member = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib)
  gTracker.mAddPhotoView(gMaster.pActivePhotoObject.pSmallName)
  vTotal = gMaster.pPhotoList.count
  vNum = gMaster.pActivePhotoObject.pPhotoNumber
  member("OneOf").text = vNum & " of " & vTotal
  if gMaster.pSlideShowSettings.xyeffect = "TRUE" then
    sprite(pPhotoSprite).loc = gMaster.pActivePhotoObject.pXYSlide
    vMemberWidth = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib).width
    vMemberHeight = member(gMaster.pActivePhotoObject.pSmallName, gMaster.pMediumCastLib).height
    vWidth = vMemberWidth * float("." & gMaster.pSlideShowSettings.percentage)
    vHeight = vMemberHeight * float("." & gMaster.pSlideShowSettings.percentage)
    if gMaster.pSlideShowSettings.percentage = 100 then
      sprite(pPhotoSprite).width = vMemberWidth
      sprite(pPhotoSprite).height = vMemberHeight
    else
      sprite(pPhotoSprite).width = vWidth
      sprite(pPhotoSprite).height = vHeight
    end if
    updateStage()
  end if
  if gMaster.pSlideShowSettings.blendeffect = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(pPhotoSprite).blend = 100
    else
      sprite(pPhotoSprite).blend = gMaster.pSlideShowSettings.blendpercent
    end if
  end if
  if gMaster.pSlideShowSettings.rectangles = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(pRectSprite).rect = rect(-2000, -2000, -1999, 1999)
    else
      vLeft = sprite(pPhotoSprite).left - 2
      vTop = sprite(pPhotoSprite).top - 2
      vRight = sprite(pPhotoSprite).right + 2
      vBottom = sprite(pPhotoSprite).bottom + 2
      sprite(pRectSprite).rect = rect(vLeft, vTop, vRight, vBottom)
    end if
  end if
  if gMaster.pSlideShowSettings.pushpin = "TRUE" then
    if gMaster.pActivePhotoObject.pSelected = "no" then
      sprite(pPushPinSprite).loc = point(-2000, -2000)
    else
      vLeft = sprite(pPhotoSprite).left + gMaster.pSlideShowSettings.pinoffset[1]
      vTop = sprite(pPhotoSprite).top + gMaster.pSlideShowSettings.pinoffset[2]
      sprite(pPushPinSprite).loc = point(vLeft, vTop)
    end if
  end if
  sendAllSprites(#mSetUpGraphicsDouble, "slideshow", gMaster.pCount)
  if gMaster.pSlideShowSettings.xyflasheffect = "TRUE" then
    sprite(pFlashSprite).loc = gMaster.pActivePhotoObject.pXYFlash
  else
    nothing()
  end if
  if gMaster.pSlideShowSettings.titlelogoeffect = "TRUE" then
    sprite(pLogoSprite).member = member(gMaster.pActivePhotoObject.pTitleSlide)
  else
    nothing()
  end if
  vNewname = gMaster.pActivePhotoObject.pFlashLabel
  if gMaster.pLanguageMode = "english" then
    vNewname = vNewname & "e"
  else
    vNewname = vNewname & "s"
  end if
  sprite(pFlashSprite).goToFrame(vNewname)
end

on exitFrame me
end
