property pLeftArrowSprite, pPageSprite, pRightArrowSprite, pLogoSprite
global gMaster, gSound, gTracker

on enterFrame me
  sendAllSprites(#mSetUpGraphics)
end

on exitFrame me
  gMaster.pmarker = the frameLabel
  gTracker.mAddSection(gMaster.pmarker)
  cursor(-1)
  gSound.mResumeSound()
  pLogoSprite = 3
  pLeftArrowSprite = 22
  pPageSprite = 23
  pRightArrowSprite = 24
  if gMaster.pPhotoList[gMaster.pPhotoList.count].pGalleryNumber > 1 then
    sprite(pLeftArrowSprite).visible = 1
    sprite(pPageSprite).visible = 1
    sprite(pRightArrowSprite).visible = 1
  else
    sprite(pLeftArrowSprite).visible = 0
    sprite(pPageSprite).visible = 0
    sprite(pRightArrowSprite).visible = 0
  end if
  vPosition = offset("g", gMaster.pmarker)
  gMaster.pGalleryCount = value(gMaster.pmarker.char[1..vPosition - 1])
  gMaster.pGalleryPhotosList = []
  repeat with x = 1 to gMaster.pPhotoList.count
    if gMaster.pPhotoList[x].pGalleryNumber = gMaster.pGalleryCount then
      add(gMaster.pGalleryPhotosList, gMaster.pPhotoList[x])
    end if
  end repeat
  vGalleryCount = gMaster.pPhotoList[gMaster.pPhotoList.count].pGalleryNumber
  vText = "Page " & gMaster.pGalleryCount & " of " & vGalleryCount
  member("Page", "assets").text = vText
  if gMaster.pGalleryPhotosList.count = 0 then
    alert("the gMaster.pGalleryPhotosList list is empty")
    exit
  else
    if gMaster.pGallerySettings.xyeffect = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      repeat with x = 1 to gMaster.pGalleryPhotosList.count
        sprite(vSpriteCount).member = member(gMaster.pGalleryPhotosList[x].pSmallName, gMaster.pSmallCastLib)
        sprite(vSpriteCount).loc = gMaster.pGalleryPhotosList[x].pXYGallery
        vMemberWidth = member(gMaster.pGalleryPhotosList[x].pSmallName, gMaster.pSmallCastLib).width
        vMemberHeight = member(gMaster.pGalleryPhotosList[x].pSmallName, gMaster.pSmallCastLib).height
        vWidth = vMemberWidth * float("." & gMaster.pGallerySettings.percentage)
        vHeight = vMemberHeight * float("." & gMaster.pGallerySettings.percentage)
        if gMaster.pGallerySettings.percentage = 100 then
          sprite(vSpriteCount).width = vMemberWidth
          sprite(vSpriteCount).height = vMemberHeight
        else
          sprite(vSpriteCount).width = vWidth
          sprite(vSpriteCount).height = vHeight
        end if
        vSpriteCount = vSpriteCount + 1
      end repeat
      updateStage()
    end if
    if gMaster.pGallerySettings.blendeffect = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      repeat with x = 1 to gMaster.pGalleryPhotosList.count
        if gMaster.pGalleryPhotosList[x].pSelected = "no" then
          sprite(vSpriteCount).blend = 100
        else
          sprite(vSpriteCount).blend = gMaster.pGallerySettings.blendpercent
        end if
        vSpriteCount = vSpriteCount + 1
      end repeat
    end if
    if gMaster.pGallerySettings.rectangles = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      vSpriteCount2 = gMaster.pRectangleSpriteStartNum
      repeat with x = 1 to gMaster.pGalleryPhotosList.count
        if gMaster.pGalleryPhotosList[x].pSelected = "no" then
          sprite(vSpriteCount2).rect = rect(-2000, -2000, -1999, 1999)
        else
          vLeft = sprite(vSpriteCount).left - 2
          vTop = sprite(vSpriteCount).top - 2
          vRight = sprite(vSpriteCount).right + 2
          vBottom = sprite(vSpriteCount).bottom + 2
          sprite(vSpriteCount2).rect = rect(vLeft, vTop, vRight, vBottom)
        end if
        vSpriteCount = vSpriteCount + 1
        vSpriteCount2 = vSpriteCount2 + 1
      end repeat
    end if
    if gMaster.pGallerySettings.pushpin = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      vSpriteCount2 = gMaster.pPushPinSpriteStartNum
      repeat with x = 1 to gMaster.pGalleryPhotosList.count
        if gMaster.pGalleryPhotosList[x].pSelected = "no" then
          sprite(vSpriteCount2).loc = point(-2000, -2000)
        else
          vLeft = sprite(vSpriteCount).left + gMaster.pGallerySettings.pinoffset[1]
          vTop = sprite(vSpriteCount).top + gMaster.pGallerySettings.pinoffset[2]
          sprite(vSpriteCount2).loc = point(vLeft, vTop)
        end if
        vSpriteCount = vSpriteCount + 1
        vSpriteCount2 = vSpriteCount2 + 1
      end repeat
    end if
  end if
  if gMaster.pGallerySettings.titlelogoeffect = "TRUE" then
    repeat with z = 1 to gMaster.pPhotoList.count
      if gMaster.pGalleryCount = gMaster.pPhotoList[z].pGalleryNumber then
        vLogoName = gMaster.pPhotoList[z].pTitleGallery
        exit repeat
      end if
    end repeat
    sprite(pLogoSprite).member = member(vLogoName)
    sprite(pLogoSprite).loc = gMaster.pGallerySettings.xytitle
  end if
end
