property pLeftArrowSprite, pPageSprite, pRightArrowSprite
global gMaster, gSound, gTracker

on prepareFrame me
  hideFlashDialog()
  hideQuitDialog()
end

on enterFrame me
  gMaster.pmarker = the frameLabel
  gTracker.mAddSection(gMaster.pmarker)
  sendAllSprites(#mSetUpGraphics)
end

on exitFrame me
  cursor(-1)
  gSound.mResumeSound()
  pLeftArrowSprite = 22
  pPageSprite = 23
  pRightArrowSprite = 24
  gMaster.pmarker = the frameLabel
  gMaster.pSavedCount = value(gMaster.pmarker.char[5])
  if gMaster.pSummaryList[gMaster.pSummaryList.count].pPage > 1 then
    sprite(pLeftArrowSprite).visible = 1
    sprite(pPageSprite).visible = 1
    sprite(pRightArrowSprite).visible = 1
    if gMaster.pSavedCount = 0 then
      gMaster.pSavedCount = 1
    end if
    vSavedCount = gMaster.pSummaryList[gMaster.pSummaryList.count].pPage
    vText = "Page " & gMaster.pSavedCount & " of " & vSavedCount
    member("Page", "assets").text = vText
  else
    sprite(pLeftArrowSprite).visible = 0
    sprite(pPageSprite).visible = 0
    sprite(pRightArrowSprite).visible = 0
  end if
  gMaster.pSavedSummaryList = []
  repeat with x = 1 to gMaster.pSummaryList.count
    if gMaster.pSummaryList[x].pPage = gMaster.pSavedCount then
      add(gMaster.pSavedSummaryList, gMaster.pSummaryList[x])
    end if
  end repeat
  if gMaster.pSavedSummaryList.count = 0 then
    alert("the gMaster.pSavedSummaryList list is empty")
    exit
  else
    if gMaster.pSavedSettings.xyeffect = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        sprite(vSpriteCount).member = member(gMaster.pSavedSummaryList[x].pSmallName, gMaster.pSavedSummaryList[x].pCastLibSmall)
        sprite(vSpriteCount).loc = gMaster.pSavedSummaryList[x].pXYPosition
        vMemberWidth = member(gMaster.pSavedSummaryList[x].pSmallName, gMaster.pSavedSummaryList[x].pCastLibSmall).width
        vMemberHeight = member(gMaster.pSavedSummaryList[x].pSmallName, gMaster.pSavedSummaryList[x].pCastLibSmall).height
        vWidth = vMemberWidth * float("." & gMaster.pSavedSettings.percentage)
        vHeight = vMemberHeight * float("." & gMaster.pSavedSettings.percentage)
        if gMaster.pSavedSettings.percentage = 100 then
          sprite(vSpriteCount).width = vMemberWidth
          sprite(vSpriteCount).height = vMemberHeight
        else
          sprite(vSpriteCount).width = vWidth
          sprite(vSpriteCount).height = vHeight
        end if
        vSpriteCount = vSpriteCount + 1
      end repeat
      updateStage()
    end if
    if gMaster.pSavedSettings.blendeffect = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        if gMaster.pSavedSummaryList[x].pSelected = "no" then
          sprite(vSpriteCount).blend = 100
        else
          sprite(vSpriteCount).blend = gMaster.pSavedSettings.blendpercent
        end if
        vSpriteCount = vSpriteCount + 1
      end repeat
    end if
    if gMaster.pSavedSettings.rectangles = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      vSpriteCount2 = gMaster.pRectangleSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        if gMaster.pSavedSummaryList[x].pSelected = "no" then
          sprite(vSpriteCount2).rect = rect(-2000, -2000, -1999, 1999)
        else
          vLeft = sprite(vSpriteCount).left - 2
          vTop = sprite(vSpriteCount).top - 2
          vRight = sprite(vSpriteCount).right + 2
          vBottom = sprite(vSpriteCount).bottom + 2
          sprite(vSpriteCount2).rect = rect(vLeft, vTop, vRight, vBottom)
        end if
        vSpriteCount = vSpriteCount + 1
        vSpriteCount2 = vSpriteCount2 + 1
      end repeat
    end if
    if gMaster.pSavedSettings.pushpin = "TRUE" then
      vSpriteCount = gMaster.pPhotoSpriteStartNum
      vSpriteCount2 = gMaster.pPushPinSpriteStartNum
      repeat with x = 1 to gMaster.pSavedSummaryList.count
        if gMaster.pSavedSummaryList[x].pSelected = "no" then
          sprite(vSpriteCount2).loc = point(-2000, -2000)
        else
          vLeft = sprite(vSpriteCount).left + gMaster.pSavedSettings.pinoffset[1]
          vTop = sprite(vSpriteCount).top + gMaster.pSavedSettings.pinoffset[2]
          sprite(vSpriteCount2).loc = point(vLeft, vTop)
        end if
        vSpriteCount = vSpriteCount + 1
        vSpriteCount2 = vSpriteCount2 + 1
      end repeat
    end if
    vOK = "no"
    repeat with y = 1 to gMaster.pSummaryList.count
      if gMaster.pSummaryList[y].pSelected = "yes" then
        vOK = "yes"
        exit repeat
      end if
    end repeat
    if vOK = "yes" then
      sendSprite(9, #mSetOnStage)
    else
      sendSprite(9, #mSetOffStage)
    end if
  end if
end
