property spriteNum
global gMaster, gSound, gNotes

on mouseUp me
  gSound.mPlayButtonClick()
  vName = sprite(spriteNum).member.name
  if gMaster.pSavedSummaryList.count = 0 then
    alert("you have a problem with gMaster.pSavedSummaryList.count")
    exit
  end if
  repeat with x = 1 to gMaster.pSavedSummaryList.count
    if gMaster.pSavedSummaryList[x].pSmallName = vName then
      gMaster.pCount = gMaster.pSavedSummaryList[x].pNumber
      if gMaster.pSavedSummaryList[x].pSelected = "no" then
        mSetOn(me, x)
      else
        mSetOff(me, x)
      end if
      exit repeat
    end if
  end repeat
end

on mouseEnter me
  cursor(280)
end

on mouseLeave me
  cursor(-1)
end

on mSetOn me, vSavedNum
  if gMaster.pSummaryList[vSavedNum].pType contains "photo" then
    vNum = gMaster.pSummaryList[vSavedNum].pKeyNum
    gMaster.pPhotoList[vNum].pSelected = "yes"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "logo" then
    vNum = gMaster.pSummaryList[vSavedNum].pKeyNum
    gMaster.pLogoList[vNum].pSelected = "yes"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "poster" then
    vNum = gMaster.pSummaryList[vSavedNum].pKeyNum
    gMaster.pPosterList[vNum].pSelected = "yes"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "note" then
    gNotes.pProductionSelected = "yes"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "credit" then
    gNotes.pCreditsSelected = "yes"
  end if
  gMaster.pSavedSummaryList[vSavedNum].pSelected = "yes"
  gMaster.pSummaryList[vSavedNum].pSelected = "yes"
  mMainCode(me, vSavedNum)
end

on mSetOff me, vSavedNum
  if gMaster.pSummaryList[vSavedNum].pType contains "photo" then
    vNum = gMaster.pSummaryList[vSavedNum].pKeyNum
    gMaster.pPhotoList[vNum].pSelected = "no"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "logo" then
    vNum = gMaster.pSummaryList[vSavedNum].pKeyNum
    gMaster.pLogoList[vNum].pSelected = "no"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "poster" then
    vNum = gMaster.pSummaryList[vSavedNum].pKeyNum
    gMaster.pPosterList[vNum].pSelected = "no"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "note" then
    gNotes.pProductionSelected = "no"
  end if
  if gMaster.pSummaryList[vSavedNum].pType contains "credit" then
    gNotes.pCreditsSelected = "no"
  end if
  gMaster.pSavedSummaryList[vSavedNum].pSelected = "no"
  gMaster.pSummaryList[vSavedNum].pSelected = "no"
  mMainCode(me, vSavedNum)
end

on mMainCode me, vSavedNum
  if gMaster.pSavedSettings.blendeffect = "TRUE" then
    if gMaster.pSavedSummaryList[vSavedNum].pSelected = "no" then
      sprite(spriteNum).blend = 100
    else
      sprite(spriteNum).blend = gMaster.pSavedSettings.blendpercent
    end if
  end if
  if gMaster.pSavedSettings.rectangles = "TRUE" then
    if gMaster.pSavedSummaryList[vSavedNum].pSelected = "no" then
      sprite(gMaster.pSavedSummaryList[vSavedNum].pRectSpriteSaved).rect = rect(-2000, -2000, -1999, 1999)
    else
      vLeft = sprite(gMaster.pSavedSummaryList[vSavedNum].pPhotoSpriteSaved).left - 2
      vTop = sprite(gMaster.pSavedSummaryList[vSavedNum].pPhotoSpriteSaved).top - 2
      vRight = sprite(gMaster.pSavedSummaryList[vSavedNum].pPhotoSpriteSaved).right + 2
      vBottom = sprite(gMaster.pSavedSummaryList[vSavedNum].pPhotoSpriteSaved).bottom + 2
      sprite(gMaster.pSavedSummaryList[vSavedNum].pRectSpriteSaved).rect = rect(vLeft, vTop, vRight, vBottom)
    end if
  end if
  if gMaster.pSavedSettings.pushpin = "TRUE" then
    if gMaster.pSavedSummaryList[vSavedNum].pSelected = "no" then
      sprite(gMaster.pSavedSummaryList[vSavedNum].pPushPinSpriteSaved).loc = point(-2000, -2000)
    else
      vLeft = sprite(gMaster.pSavedSummaryList[vSavedNum].pPhotoSpriteSaved).left + gMaster.pSavedSettings.pinoffset[1]
      vTop = sprite(gMaster.pSavedSummaryList[vSavedNum].pPhotoSpriteSaved).top + gMaster.pSavedSettings.pinoffset[2]
      sprite(gMaster.pSavedSummaryList[vSavedNum].pPushPinSpriteSaved).loc = point(vLeft, vTop)
    end if
  end if
  vOK = "no"
  repeat with y = 1 to gMaster.pSummaryList.count
    if gMaster.pSummaryList[y].pSelected = "yes" then
      vOK = "yes"
      exit repeat
    end if
  end repeat
  if vOK = "yes" then
    sendSprite(9, #mSetOnStage)
  else
    sendSprite(9, #mSetOffStage)
  end if
end
