global gMaster, gSound, gTracker

on enterFrame me
  sendAllSprites(#mSetUpGraphics)
  sendSprite(25, #mSetUpGraphicsDouble, "poster", 1)
end

on exitFrame me
  gMaster.pmarker = the frameLabel
  gTracker.mAddSection(gMaster.pmarker)
  cursor(-1)
  gSound.mResumeSound()
  pSavedGraphic = member(gMaster.pPosterSettings.savedbutton, "assets")
  pUnSavedGraphic = member(gMaster.pPosterSettings.savebutton, "assets")
  if gMaster.pPosterSettings.xyeffect = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    repeat with x = 1 to gMaster.pPosterList.count
      sprite(vSpriteCount).member = member(gMaster.pPosterList[x].pSmallName, gMaster.pPosterList[x].pCastLib)
      sprite(vSpriteCount).loc = gMaster.pPosterList[x].pXYPoster
      vMemberWidth = member(gMaster.pPosterList[x].pSmallName, gMaster.pPosterList[x].pCastLib).width
      vMemberHeight = member(gMaster.pPosterList[x].pSmallName, gMaster.pPosterList[x].pCastLib).height
      vWidth = vMemberWidth * float("." & gMaster.pPosterSettings.percentage)
      vHeight = vMemberHeight * float("." & gMaster.pPosterSettings.percentage)
      if gMaster.pPosterSettings.percentage = 100 then
        sprite(vSpriteCount).width = vMemberWidth
        sprite(vSpriteCount).height = vMemberHeight
      else
        sprite(vSpriteCount).width = vWidth
        sprite(vSpriteCount).height = vHeight
      end if
      vSpriteCount = vSpriteCount + 1
    end repeat
    updateStage()
  end if
  if gMaster.pPosterSettings.blendeffect = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    repeat with x = 1 to gMaster.pPosterList.count
      if gMaster.pPosterList[x].pSelected = "no" then
        sprite(vSpriteCount).blend = 100
      else
        sprite(vSpriteCount).blend = gMaster.pPosterSettings.blendpercent
      end if
      vSpriteCount = vSpriteCount + 1
    end repeat
  end if
  if gMaster.pPosterSettings.rectangles = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    vSpriteCount2 = gMaster.pRectangleSpriteStartNum
    repeat with x = 1 to gMaster.pPosterList.count
      if gMaster.pPosterList[x].pSelected = "no" then
        sprite(vSpriteCount2).rect = rect(-2000, -2000, -1999, 1999)
      else
        vLeft = sprite(vSpriteCount).left - 2
        vTop = sprite(vSpriteCount).top - 2
        vRight = sprite(vSpriteCount).right + 2
        vBottom = sprite(vSpriteCount).bottom + 2
        sprite(vSpriteCount2).rect = rect(vLeft, vTop, vRight, vBottom)
      end if
      vSpriteCount = vSpriteCount + 1
      vSpriteCount2 = vSpriteCount2 + 1
    end repeat
  end if
  if gMaster.pPosterSettings.pushpin = "TRUE" then
    vSpriteCount = gMaster.pPhotoSpriteStartNum
    vSpriteCount2 = gMaster.pPushPinSpriteStartNum
    repeat with x = 1 to gMaster.pPosterList.count
      if gMaster.pPosterList[x].pSelected = "no" then
        sprite(vSpriteCount2).loc = point(-2000, -2000)
      else
        vLeft = sprite(vSpriteCount).left + gMaster.pPosterSettings.pinoffset[1]
        vTop = sprite(vSpriteCount).top + gMaster.pPosterSettings.pinoffset[2]
        sprite(vSpriteCount2).loc = point(vLeft, vTop)
      end if
      vSpriteCount = vSpriteCount + 1
      vSpriteCount2 = vSpriteCount2 + 1
    end repeat
  end if
end
