global gMaster, gNotes, gSound, gFlashMarkers

on mBeginNotes vWhichSprite, vMode
  case vMode of
    "production", "flashpaper1":
      sendAllSprites(#mSetUpGraphicsDouble, vMode, 0)
    "cast":
      if gNotes.pCastSelected = "yes" then
        sendSprite(vWhichSprite, #mState2Graphic)
      else
        sendSprite(vWhichSprite, #mState1Graphic)
      end if
    "credits", "flashpaper2":
      sendAllSprites(#mSetUpGraphicsDouble, vMode, 0)
    "filmmaker":
      if gNotes.pFilmmakerSelected = "yes" then
        sendSprite(vWhichSprite, #mState2Graphic)
      else
        sendSprite(vWhichSprite, #mState1Graphic)
      end if
    "flashpaper3", "flashpaper4":
      sendAllSprites(#mSetUpGraphicsDouble, vMode, 0)
  end case
end

on mSetNotes vWhichSprite, vMode
  gSound.mPlayButtonClick()
  if gNotes.pTabStatus = "closed" then
    gNotes.mSlideTab()
  end if
  case vMode of
    "flashpaper3":
      if gNotes.pProductionSelectedSpanish = "yes" then
        gNotes.pProductionSelectedSpanish = "no"
        gMaster.mSummaryDeSelected(gNotes.pProductionCastNameSpanish)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState1GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState1GraphicSpanish)
        end if
      else
        gNotes.pProductionSelectedSpanish = "yes"
        gMaster.mSummarySelected(gNotes.pProductionCastNameSpanish)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState2GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState2GraphicSpanish)
        end if
      end if
    "flashpaper4":
      if gNotes.pCreditsSelectedSpanish = "yes" then
        gNotes.pCreditsSelectedSpanish = "no"
        gMaster.mSummaryDeSelected(gNotes.pCreditsCastNameSpanish)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState1GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState1GraphicSpanish)
        end if
      else
        gNotes.pCreditsSelectedSpanish = "yes"
        gMaster.mSummarySelected(gNotes.pCreditsCastNameSpanish)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState2GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState2GraphicSpanish)
        end if
      end if
    "production", "flashpaper1":
      if gNotes.pProductionSelected = "yes" then
        gNotes.pProductionSelected = "no"
        mSummaryDeSelected(gMaster, gNotes.pProductionCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState1GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState1GraphicSpanish)
        end if
      else
        gNotes.pProductionSelected = "yes"
        mSummarySelected(gMaster, gNotes.pProductionCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState2GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState2GraphicSpanish)
        end if
      end if
    "cast":
      if gNotes.pCastSelected = "yes" then
        gNotes.pCastSelected = "no"
        mSummaryDeSelected(gMaster, gNotes.pCastCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState1GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState1GraphicSpanish)
        end if
      else
        gNotes.pCastSelected = "yes"
        mSummarySelected(gMaster, gNotes.pCastCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState2GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState2GraphicSpanish)
        end if
      end if
    "credits", "flashpaper2":
      if gNotes.pCreditsSelected = "yes" then
        gNotes.pCreditsSelected = "no"
        mSummaryDeSelected(gMaster, gNotes.pCreditsCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState1GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState1GraphicSpanish)
        end if
      else
        gNotes.pCreditsSelected = "yes"
        mSummarySelected(gMaster, gNotes.pCreditsCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState2GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState2GraphicSpanish)
        end if
      end if
    "filmmaker":
      if gNotes.pFilmmakerSelected = "yes" then
        gNotes.pFilmmakerSelected = "no"
        mSummaryDeSelected(gMaster, gNotes.pFilmmakerCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState1GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState1GraphicSpanish)
        end if
      else
        gNotes.pFilmmakerSelected = "yes"
        mSummarySelected(gMaster, gNotes.pFilmmakerCastName)
        if gMaster.pLanguageMode = "english" then
          sendSprite(vWhichSprite, #mState2GraphicEnglish)
        else
          sendSprite(vWhichSprite, #mState2GraphicSpanish)
        end if
      end if
  end case
end

on mGoFlashPaperTab vWhichOne
  if gMaster.pLanguageMode = "english" then
    case vWhichOne of
      1:
        go(gFlashMarkers.FP1 + 2)
      2:
        go("FP2")
      3:
        go("FP1s")
      4:
        go("FP2s")
      5:
        go("FP1")
    end case
  else
    case vWhichOne of
      1:
        go(gFlashMarkers.FP1s + 2)
      2:
        go("FP2s")
      3:
        go("FP3s")
      4:
        go("FP4s")
      5:
        go("FP5s")
    end case
  end if
end

on mSetFlashPaper vWhichSprite
  if sprite(vWhichSprite).member.type = #flash then
    sprite(vWhichSprite).originMode = #point
    sprite(vWhichSprite).originH = sprite(vWhichSprite).width / 2
    sprite(vWhichSprite).originV = sprite(vWhichSprite).height / 2
    sprite(vWhichSprite).scaleMode = #noScale
  end if
end
